<?php  

		/**
		 *
		 * This is the CI config file
		 *
		 * @package    uaacs\config\constants
		 * @version    1.0
		 * @copyright  2020, BizyCorp Internal Systems Development
		 * @license    private, All rights reserved
		 * @author     CI
		 * @uses
		 * @see
		 * @created
		 * @modified
		 * @modification
		 *
		 */

if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
|--------------------------------------------------------------------------
| File and Directory Modes
|--------------------------------------------------------------------------
|
| These prefs are used when checking and setting modes when working
| with the file system.  The defaults are fine on servers with proper
| security, but you may wish (or even need) to change the values in
| certain environments (Apache running a separate process for each
| user, PHP under CGI with Apache suEXEC, etc.).  Octal values should
| always be used to set the mode correctly.
|
*/
define('FILE_READ_MODE', 0644);
define('FILE_WRITE_MODE', 0666);
define('DIR_READ_MODE', 0755);
define('DIR_WRITE_MODE', 0777);

/*
|--------------------------------------------------------------------------
| File Stream Modes
|--------------------------------------------------------------------------
|
| These modes are used when working with fopen()/popen()
|
*/

define('FOPEN_READ',							'rb');
define('FOPEN_READ_WRITE',						'r+b');
define('FOPEN_WRITE_CREATE_DESTRUCTIVE',		'wb'); // truncates existing file data, use with care
define('FOPEN_READ_WRITE_CREATE_DESTRUCTIVE',	'w+b'); // truncates existing file data, use with care
define('FOPEN_WRITE_CREATE',					'ab');
define('FOPEN_READ_WRITE_CREATE',				'a+b');
define('FOPEN_WRITE_CREATE_STRICT',				'xb');
define('FOPEN_READ_WRITE_CREATE_STRICT',		'x+b');

define('STAFF', 'https://www.emp-management.net/bizyoffice/index.php/staff/index/true/0/0/data_feed_template/XML');
define('TS_USER', 'https://www.emp-management.net/bizyoffice/index.php/users/index/true/0/0/data_feed_template/XML/');
//define('STAFF', 'https://www.kindersigns.org/bizyoffice/index.php/staff/index/true/0/0/data_feed_template/XML');
//define('TS_USER', 'http://www.kindersigns.org/bizyoffice/index.php/users/index/true/0/0/data_feed_template/XML/');

define("UAACS_USERFUNCTION","https://www.emp-management.net/UAACS/index.php/userassignedfunctions/index/true/0/0/data_feed_template/XML");
define("UAACS_USERROLES","https://www.emp-management.net/UAACS/index.php/userassignedroles/index/true/0/0/data_feed_template/XML");
define("UAACS","https://www.emp-management.net/UAACS/index.php/applications/index/true/0/0/data_feed_template/XML");

/* End of file constants.php */
/* Location: ./application/config/constants.php */
