<?php
defined('BASEPATH') OR exit('No direct script access allowed');
header('Access-Control-Allow-Origin: *');


class Glogin extends CI_Controller
{
	/**
	 * googleplus class instance.
	 */
	private $connection;
	
	/**
	 * Controller constructor
	 */
	function __construct()
	{
		parent::__construct();

		define('CLIENTID', '675296458302-kubp10fr0gudgia0no7rptfacle5o0v4.apps.googleusercontent.com');
		define('CLIENT_SECRET','K-PzSer17axElslTVMNh5HSY');
		define('OAUTH_CALLBACK' ,base_url('glogin/authenticate'));
		
		$this->client = new Google_Client();
		$this->client->setApplicationName("UAACS");
		$this->client->setClientId(CLIENTID);
		$this->client->setClientSecret(CLIENT_SECRET);
		
		$this->client->addScope("https://www.googleapis.com/auth/userinfo.email");
		$this->client->addScope("https://www.googleapis.com/auth/userinfo.profile");
		
		//$this->client->client->setApprovalPrompt('auto');
		$this->client->setRedirectUri(OAUTH_CALLBACK);
		
		$this->client->setAccessType('online'); 
		
		$this->oauth2 = new Google_Service_Oauth2($this->client);
	}
	
	/**
	 *
	 * Function loginURL
	 * 
	 * Creates the login url of the project and returns
	 *
	 * @param   none
	 * @access	public
	 * @return	status
	 * @since	1.0
	 */
	public function loginURL() {
		print $this->client->createAuthUrl();;
		//return $this->client->createAuthUrl();
		
	}
	
	
	/**
	 * 
	 * Function authenticate
	 * Handles login
	 * 
	 * @param   none
	 * @access	public
	 * @return	status
	 * @since	1.0
	 */
	function authenticate(){
		//print "I am in";
		$staff="";
		$login_status="";
		if(isset($_GET['code'])){
		//print $_GET['code'];
		//$ret = $this->getAuthenticate($_GET['code']);
		//$_SESSION['token']= $this->getAccessToken();
		
		$ret = $this->client->authenticate($_GET['code']);
		//print_r($ret);
		
		if(!isset($ret['error'])){
			$_SESSION['code'] = $_GET['code'];
			$_SESSION['token'] = $ret['access_token'];
			$id_token = $ret['id_token'];
			//$token_type = $ret['token_type'];
				
	
			$gp=$this->client->verifyIdToken($id_token, CLIENTID);
			//print_r($gp);
			
			$this->client->setAccessToken($_SESSION['token']);
			//$gp = $this->getUserInfo();//Get user profile data from google
			
			//Insert or update user data to the database
			$gpUserData = array(
					'oauth_provider'=> 'google',
					'oauth_uid'		=> $gp['iat'],
					'first_name'	=> $gp['given_name'],
					'last_name'		=> $gp['family_name'],
					'email'			=> $gp['email'],
					'locale'		=> $gp['locale'],
					'picture'		=> $gp['picture'],
					'gPlusLink'		=> isset($gp['link'])?$gp['link']:''
			);
			
			//print_r($gpUserData);
			$_SESSION['userData']	= $gpUserData;//Storing user data into session
			$_SESSION['gmail']		= $gp['email'];
			$_SESSION['picture']	= $gp['picture'];

			//mail('maleeha@ekwa.com',$gp['given_name']." Tried to logon to EkwaSocial at: ".date("Y-m-d H:i:s")." from: ".$_SERVER['REMOTE_ADDR'], "User information,".serialize($_SESSION['userData']));
			//a log table to be created to store the developer notifications
			//$url="http://www.bizydads.com/UAACS/";
			header("Location: ".base_url()."home/authenticate");
				//get client
				/*$staff = xml_array_nosession(STAFF."?staff/gmail_equal=".$_SESSION['email']);
				
				if(!isset($staff[1]['result'])){
					$_SESSION['staff_id']	= $staff[1]['staff_id'];
					$_SESSION['staff_name']	= $staff[1]['full_name'];
					$_SESSION['fIds'] = array();
				
					//get the roles/functions
					$functionIds = xml_array_nosession(UAACS."?uid_equal=".$_SESSION['staff_id']."&applications/appId_equal=115");
	
					if(!isset($functionIds[1]['result'])){
					if(isset($functionIds[1]['funcId'])){
						$_SESSION['role'] = $functionIds[1]['roleId'];
						foreach ($functionIds as $key=>$values){
							$_SESSION['fIds'][$values['funcId']] = $values['funcId'];
						}
					}
					header("Location: ".base_url());
					}else{
						$login_status="error";

					}
				}else{
				$login_status="error";

				}*/
		}else{
			$login_status="error";
		}
		}else{
			$login_status="error";
		}
		
		if($login_status=="error"){
			
			session_unset();
			session_destroy();
			$this->client->revokeToken();//Reset OAuth access token
			header("Location: ".base_url()."?loginfalse");
			//die();
					
		}
	}

	/**
	 * 
	 * Function logout
	 * 
	 * This function used to revokes the token, and destroy session and logs the user out of the app
	 * 
	 * @param   none
	 * @access	public
	 * @return	status
	 * @since	1.0
	 */
	public function logout(){
		session_unset();
		session_destroy();
		$this->client->revokeToken();//Reset OAuth access token
		header("Location: ".base_url()."?logout");
		die();
	}
	
}

/* End of file glogin.php */
/* Location: ./application/controllers/glogin.php */