<?php
		/**
		 * This controller facilitates the access of table userAssignedFunctions
		 * 
		 *
		 * @package    uaacs\controllers\home
		 * @version    1.0
	 	 * @since	   version 1.0
		 * @copyright  2020, BizyCorp Internal Systems Development
		 * @license    private, All rights reserved
		 * @author     CIGen (Automated CI Code Generator)
		 */

		if ( ! defined('BASEPATH')) exit('No direct script access allowed');
		
		/**
		 * This file contains CI controller for CI Code Generation
		 * 
		 * 
		 * This class contains the following functions
		 *
		 *			1) function index() 
		 *			2) function authentication() , used to authenticate the user
		 *			3) function dbExistanceCheck() , used to check the existance of th database
		 *
		 *
		 * @package      uaacs\controllers\home
		 * @version      1.0
	 	 * @since	     version 1.0
		 * @copyright	 2020, BizyCorp Internal Systems Development
		 * @license		 private, All rights reserved
		 * @author		 CIGen (Automated CI Code Generator)
		 * @uses			
		 * @see
		 * @created    	Aug 14, 2020
		 * @modified   	Aug 14, 2020 by CIGen
		 * @modification 
		 */
class Home extends CI_Controller {
	
	/**
	 * Function __construct
	 *
	 *
	 * The constructor function
	 *
	 * @param	None
	 * @return	void
	 * @access	public
	 * @since	1.0
	 */
	public function __construct(){
		parent::__construct();	

	}
	
	/**
	 * Function index()
	 *
	 *
	 * Authenticates the user by calling public function authentication() and creates DB if not exist
	 * 
	 * @param 	None
	 * @return  authenticate the user and create session
	 * @access	public
	 * @since	1.0
	 * @todo	uncomment dbExistanceCheck after completion
	 */
	public function index(){
		
		//$this->dbExistanceCheck();
		//$this->authentication();
		if(isset($_REQUEST['loginfalse']) || isset($_REQUEST['logout'])){
			
			$loginURL=file_get_contents(base_url()."glogin/loginURL");
			//redirect($loginURL);
			$this->data['loginURL']=$loginURL;
			if(isset($_GET['logout'])){
				$this->data['loggedoff']="success";
			}elseif(isset($_REQUEST['error'])){
			$this->data['error']=$_REQUEST['error'];
			}
			
			$this->load->view("login",$this->data);
		}else{ 
			//print_r($_SERVER['HTTP_REFERER']);
			$u = explode("/",$_SERVER['PHP_SELF']);
			
			print $u[0];
			if(isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER'] != ''){
				$host_temp = explode("?",$_SERVER['HTTP_REFERER']);
				$host = $host_temp[0];
				print $purehost= (strpos($host,'www.')===false)? $host: str_replace('www.','',$host);
				//print UAACS."?url_like=".$purehost;
				if($purehost =="http://bizydads.com/UAACS/"){
					$appid='75';
				}else{
				$app = xml_array(UAACS."?url_like=".$purehost);
				$appid=$app[1]['appId'];
				}
				//$_SERVER['PHP_SELF']
				//$this->load->view("login");
				
				$_SESSION['APP_ID']=$appid;
				$_SESSION['APP_URL']=$_SERVER['HTTP_REFERER'];
			}else{
				$_SESSION['APP_ID']='75';
			}
		
			if(isset($_SESSION['staff_id'])){
	
				//$this->loadView('dashboard', $this->data);
				$this->dashboard();
				
			}else{
				$loginURL=file_get_contents(base_url()."glogin/loginURL");
				//redirect($loginURL);
				$this->data['loginURL']=$loginURL;
				if(isset($_GET['logout'])){
					$this->data['loggedoff']="success";
				}
				$this->load->view("login",$this->data);
			}
		
			
		}
	}
	
	/**
	 * Function authenticate()
	 *
	 *
	 * Authenticates the user 
	 *
	 * @param 	None
	 * @return  authenticate the user and create session
	 * @access	public
	 * @since	1.0
	 */
	public function authenticate(){
		$login_status="";
		//get client
		
		if(isset($_SESSION['gmail'])){
		$staff = xml_array(STAFF."?staff/gmail_equal=".$_SESSION['gmail']);
		}else{
			//print TS_USER."?users/login_name_equal=".$_REQUEST['user_name']."&users/password_equal=".md5($_REQUEST['password']);
			//print "<br>";
		$user=xml_array(TS_USER."user_id:full_name:login_name:password:user_type/?users/login_name_equal=".$_POST['user_name']."&users/password_equal=".md5($_POST['password']));
			if(!isset($user[1]['result'])){	
				//print STAFF."?staff/staff_id_equal=".$user[1]['user_id'];
			   $staff = xml_array(STAFF."?staff/staff_id_equal=".$user[1]['user_id']);
			   $_SESSION['picture']	= $staff[1]['staffurl'];
			}else{
				$login_status=="error";
				$msg="Error : Access denied, Invalid Login details.";
			}
		}
		//print_r($staff);
		if(!isset($staff[1]['result'])){
			$_SESSION['staff_id']	= $staff[1]['staff_id'];
			$_SESSION['staff_name']	= $staff[1]['full_name'];
			$_SESSION['fIds'] = array();
		
			//check for requested role
			$roleIds= xml_array(UAACS_USERROLES."?userAssignedRoles/staff_id_equal=".$_SESSION['staff_id']."&userAssignedRoles/appId_equal=".$_SESSION['APP_ID']."&userAssignedRoles/roleId_equal=".$_SESSION['role_id']);
			
			if(!isset($roleIds[1]['result'])){
			
				//get the roles/functions
				$functionIds = xml_array(UAACS_USERFUNCTION."?staff_id_equal=".$_SESSION['staff_id']."&applications/appId_equal=".$_SESSION['APP_ID']);
			
				if(!isset($functionIds[1]['result'])){
					if(isset($functionIds[1]['funcId'])){
						$_SESSION['role'] = $functionIds[1]['roleId'];
						foreach ($functionIds as $key=>$values){
							$_SESSION['fIds'][$values['funcId']] = $values['funcId'];
						}
					}
					if($_SESSION['APP_ID']=='75'){
						header("Location: ".base_url()."/home/dashboard");
					}else{
						header("Location: ".$_SESSION['APP_URL']);
					}
				}else{
					$login_status=="error";
					$msg="Error : Access denied, Not assigned to the requested application.";
			
				}
			}else{
					$login_status=="error";
					$msg="Error : Access denied, Not assigned to the requested application.";
			
				}
		}else{
			$login_status=="error";
			$msg="Error : Access denied, Not a regitered staff.";
		
		}
		
		if($login_status=="error"){
		
			session_unset();
			session_destroy();
			header("Location: ".$this->config->item('base_path')."?loginfalse&error=$msg");
			//die();
					
		}
		/*$this->load->library('Uaacs_authentication');
		$mySession = session_id();
		
		if(isset($_POST['user_role'])){
			$_SESSION['user_role'] 	= $_POST['user_role'];
		
		}else if(!isset($_SESSION['user_role'])){
			$_SESSION['user_role'] = isset($_COOKIE["defRoleId_".$this->config->item('UAACS_APPID')])? $_COOKIE["defRoleId_".$this->config->item('UAACS_APPID')]: $this->config->item('role_staff') ;  //Set default
		}
		
		$roleId = $_SESSION['user_role'];
		
		//Authentication via UAACS -----------------------------------
		$uaacs = new Uaacs_authentication ;
		$uaacs->setLandingPage(base_url());
		$uaacs->setAccessKey($this->config->item('UAACS_ACCESS_KEY'));
		$uaacs->setSecurityKey($this->config->item('UAACS_SEC_KEY')) ;
		$uaacs->setAppId($this->config->item('UAACS_APPID')) ;
		$uaacs->setRoleId($roleId) ;
		
		//Following are optional
		$uaacs->setLogoutUrl($this->config->item('UAACS_LOGOUT_URL'));
		$uaacs->setLoginUrl($this->config->item('UAACS_LOGIN_URL'));
		$uaacs->setLgnCheckUrl($this->config->item('UAACS_LOGIN_CHECK_URL'));
		$uaacs->authenticate();
		
		$functions = array();
		foreach ($uaacs->getAllowedFunctions() as $key=>$value){ $functions[] = $key; }
		
		$myRoles 	= $uaacs->getAllowedRoles();      //An array
		$roleId 	= $uaacs->getActiveRole();
		$data 		= $uaacs->getUserData();          //simpleXMLObject
		
		
		$_SESSION['application_valid_login']=true;
		$_SESSION['user_functions']	= $functions ; log_message('info', "\$functions :-".serialize($functions));//An array
		$_SESSION['roleId'] 		= $roleId;
		$_SESSION['active_role'] 	= $roleId;
		$_SESSION['user_role'] 		= $roleId;
		$_SESSION['user_id'] 		= (string) $data->DATALIST->USER->UID ;
		$_SESSION['user_name'] 		= (string) $data->DATALIST->USER->NAME;
		$_SESSION['user_email'] 	= (string) $data->DATALIST->USER->EMAIL;
		$_SESSION['last_login'] 	= (string) $data->DATALIST->USER->LOGIN_DATE_TIME;
		$_SESSION['user_type'] 		= (string) $myRoles[$roleId]['NAME'];
		
		$_SESSION['myRoles'] = $myRoles ;

		
		//Following added to save the default role if other thn CC. WCD 22/06/12
		if (!isset($_COOKIE["defRoleId_".$this->config->item('UAACS_APPID')])) setcookie("defRoleId_".$this->config->item('UAACS_APPID'),$roleId,time()+604800,"/", "{$_SERVER['SERVER_NAME']}");
		
		//Load the main UI
		$this->load->view("mainUserLayout");
		*/
	}//end of authentication
	
	/**
	 * Function setLogin
	 *
	 * This function records the user session to DB and return the token to the app.
	 *
	 * @param unknown $staff_id
	 */
	
	function setLogin($staff_id){
	
		$ldt = date("m-d-Y H:i:s", time()); //Login date and Time
		$IP = $this->get_user_ip();
		$token = $this->generateToken($staff_id);
	
	
	}
	
	/**
	 *
	 */
	function dashboard(){
		header("Location: ".base_url()."applications/index/true/20/0/data_feed_template/list");
		//http://www.bizydads.com/UAACS/index.php/applications/index/true/20/0/data_feed_template/list
	}
	
	/**
	 * Function setRole
	 *
	 * This function set the session for the requested role by the user
	 * this will be used in authentication
	 *
	 * @param int $role_id
	 */
	function setRole($role_id){
		$_SESSION['role_id']=$role_id;
	}
	
	function logout(){
		session_unset();
		session_destroy();
		header("Location: ".$this->config->item('base_path')."?logout");
	}
	
	
	
	
}

?>