<?php
		/**
		 * Auto Generated CI View
		 *
		 *
		 * This is main view file of applications management. 
		 *
		 * @package		 uaacs\views\applications_list
		 * @version      1.0
	 	 * @since	     version 1.0
		 * @copyright	 2020, BizyCorp Internal Systems Development
		 * @license		 private, All rights reserved
		 * @author		 CIGen (Automated CI Code Generator)
		 */
		
		if ( ! defined('BASEPATH')) exit('No direct script access allowed');

		/**
		 *  This is main view file of applications management. 
		 *  
		 *  
		 *  It contains the front end (view) of that. Its
		 *  created with dhtmlx grid component.
		 *  Usage :- controller function pass parameters to view to implement the view. 
		 *
		 * @package      uaacs\views\applications_list
		 * @version      1.0
	 	 * @since	     version 1.0
		 * @copyright    2020, BizyCorp Internal Systems Development
		 * @license      private, All rights reserved
		 * @author       CIGen (Automated CI Code Generator)
		 * @uses
		 * @see
		 * @created    	Aug 14, 2020
		 * @modified   	Aug 14, 2020 by CIGen
		 * @modification
		 */
class applications_view{
	// Just a dummy class for phpdoc to catch the doc header.
}
	//print_r($applications_data);	
	
$page=$applications_data['data']['dataset']['page'];
$limit=$applications_data['data']['dataset']['limit'];
$offset=$applications_data['data']['dataset']['offset'];

$pages=ceil($applications_data['data']['dataset']['total_rows']/$limit);
?>
<style>
body{
    background-color: unset !important;
}

.modal-dialog{
    max-width: 800px !important;
}

#notification-area-np{
  position: fixed;
  z-index: 10000;
  left: 0;
  padding: 20px;
  width: 100%;
  display:none;
}
</style>
<div id="dvcontent">
<div class="page-title">
   <div class="title_left">
       <h3>Internal Applications</h3>
    </div>
</div>

<div>
	<div class="row">
	    <div id="notification-area-np" class="text-center"></div>
	    <div class="col-xs-12" style="margin-bottom: 10px";></div>
		<div class="col-xs-12">
	     <table class="tableTools-container" >
	     <tr>
	     <td colspan="6" class="table-header" ></td>
	     </tr>
	     <tr style="background-color: #eaf4fd;">
	     <td style="padding-left: 10px;background-color: #eaf4fd;"></td>
	     <td style="padding-right: 10px;background-color: #eaf4fd;"></td>
	     <td style="padding-right: 10px;background-color: #eaf4fd;"></td>
         <td style="padding-right: 10px;padding-top: 10px;background-color: #eaf4fd;" align="right">
	     		<!-- button class="btn btn-xs nav-search-icon"  onclick="searchRecords(document.getElementById('month').value)">
				   <i class="ace-icon fa fa-search nav-search-icon"></i>
				</button-->
	     </td>
	     <td colspan="3" style="padding-right: 10px;padding-top: 10px;background-color: #eaf4fd;">
	      <a onclick="addFormLoad('#new-modal','<?php echo base_url(); ?>applications/data_form/add')" data-target="#new-modal" data-remote="false" role="button" data-toggle="modal" >
	     	<span class="green">
			 <i class="ace-icon fa fa-plus bigger-120"></i>
		 	</span>
		  </a>
	     </td>
         </tr>
         <tr>
         <td colspan="6">
         <div id="paginApp" style="float: right">
		    <?php 
		    if($pages !=0){
		    	print "Page ";
		    ?>
		    <select name="page" id="page"  onchange="doPage('<?=$limit?>',this.value)">
		        <?php for($i=1;$i<=$pages;$i++){?>
		        <option value="<?php print $i;?>" <?php if($page == $i){ ?>selected="selected"<?php } ?>><?php print $i?></option>
		        <?php } ?>
		    </select>
		    <?php 
		    }
		    ?>
		 </div>
         <table id="simple-table" class="table table-striped table-bordered table-hover">
						<thead>
							<tr>
							    <th><div style="text-align:center;">App Name</div></th>
								<th><div style="text-align:center;">URL</div></th>
								<th><div style="text-align:center;">Description</div></th>
								<th style="width:75px;">Action</th>
							</tr>
						</thead>
						<tbody>
						    <?php
						     if(count($applications_data['data']['dataset']['result_set']) == 0){
							?>	
							<tr>
								<td colspan="25" align="center"><b><?php print "No records found for this month...." ?></b></td>
							</tr>
							<?php 
							  }else{ 

							?>
							<?php 
							$cc="";
							$team="";
						        foreach($applications_data['data']['dataset']['result_set'] as $i){
									$id=$i['appId'];
							
									
						    ?>
							<tr id="<?php echo $id;?>">
							    <td><?php echo $i['name']; ?></td>
							    <td><div style="width:300px; overflow-wrap: break-word"><?php echo $i['url']; ?></div></td>
							    <td><div style="width:500px; overflow-wrap: break-word"><?php echo $i['description']; ?></div></td>
								<td>
                                    <div class="hidden-sm hidden-xs btn-group">
                                    <?php if($id !="" && $id !=0){ ?>
                                    <a onclick="addFormLoad('#new-modal','<?php echo base_url(); ?>applications/loadForm/<?php echo $id; ?>')" data-target="#new-modal" data-remote="false" role="button" data-toggle="modal" >
                                    <span class="blue" title="Edit Application" style="padding-right: 5px">
										 <i class="ace-icon fa fa-pencil bigger-120"></i>
								    </span>
									</a>
									<?php } ?>
                                    <a role="button" onclick="deleteMe('<?php echo $id; ?>','<?php echo $page; ?>')">
										<span class="red" title="Delete Application">
										<i class="ace-icon fa fa-ban bigger-120"></i>
										</span>
									</a> 	
									</div>
                                </td>
							</tr>
							<?php
						         } 
						       }
							
							?>
						</tbody>
					</table>
         </td></tr>
	     </table>
		</div>
	</div><!-- /.row -->
</div><!-- /.page-content -->
<div id="paginApp">
		    <?php 
		    if($pages !=0){
		    	print "Page ";
		    ?>
		    <select name="page" id="page"  onchange="doPage('<?=$limit?>',this.value)">
		        <?php for($i=1;$i<=$pages;$i++){?>
		        <option value="<?php print $i;?>" <?php if($page == $i){ ?>selected="selected"<?php } ?>><?php print $i?></option>
		        <?php } ?>
		    </select>
		    <?php 
		    }
		    ?>
</div>
</div>
<script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>

<script>

 var doPage = function(limit,page){
	  var offset=0;
	  offset=limit*(page-1) ;
	  //alert("I am here");
	  
	  heightNot = ($(window).height()/3)+"px";
        $("#notification-area-np").css("top",heightNot);
        $("#notification-area-np").show();
        
	  var url = "<?php print base_url();?>applications/index/true/"+limit+"/"+offset;

	  url = url+"/applications_list/search_html/?page="+page;
		  
		  $("#notification-area-np").html('<div class="alert alert-info alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button><i class="fa fa-refresh fa-spin"></i></div>');
		  
		  $("#dvcontent").load(url, function(res, sta, xhr){
		  
		  if(sta == "success"){
			  $("#notification-area-np").hide();
	      }
		  if(sta == "error"){ }
	 });
	 
	}	

	
	 function deleteMe(id,page){
		var del='appId:'+id;
		
		var offset=25*(page-1) ;
		
		var pg_url = "<?php print base_url();?>applications/index/true/<?php echo $limit;?>/"+offset;

		pg_url = pg_url+"/applications_list/search_html/?page="+page;

		heightNot = ($(window).height()/3)+"px";
        $("#notification-area-np").css("top",heightNot);
        $("#notification-area-np").show();
          
	  	  if (confirm('Are you sure you want to delete this record?')) {
				$("#notification-area-np").html('<div class="alert alert-info alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button><i class="fa fa-refresh fa-spin"></i></div>');
			    $.ajax({
			        
			    	url:"<?php print base_url();?>applications/delete/"+del,
			        data:'',
			        processData: false,
			        contentType: false,
			        success: function(response){
			        	$("#notification-area-np").html('<div class="alert alert-warning alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button>Record successfully deleted!</div');
						setTimeout(function(){loadPage(pg_url); }, 2000);
			        	
			        },
		        	error: function(response){
			        	$("#notification-area-np").html('error');
		        	
			        }
			    });
			}else{
				$("#notification-area-np").hide();
			}
		}

	
	
	function searchRecords(val){
		  var limit=25;
		  var offset=0;
		  
		  var url = "<?php print base_url();?>applications/applicationsList/";

		  heightNot = ($(window).height()/3)+"px";
	        $("#notification-area-np").css("top",heightNot);
	        $("#notification-area-np").show();
	         
	  	  $("#notification-area-np").html('<div class="alert alert-info alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button><i class="fa fa-refresh fa-spin"></i></div>');
		  
		  $("#dvcontent").load(url, function(res, sta, xhr){
			  
		  document.getElementById('nav-search-input').value=val;

			  
  		  if(sta == "success"){
  			  $("#notification-area-np").hide();
            }
  		  if(sta == "error"){ }
		 });
		 
		}	

    function loadPage(url){

    	heightNot = ($(window).height()/3)+"px";
        $("#notification-area-np").css("top",heightNot);
        $("#notification-area-np").show();
        
    	$("#notification-area-np").html('<div class="alert alert-info alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button><i class="fa fa-refresh fa-spin"></i></div>');
    	$("#dvcontent").load(url, function(res, sta, xhr){

    		  if(sta == "success"){
    			  $("#notification-area-np").hide();
              }
    		  if(sta == "error"){ }
  		 });
    }
	
</script>