<?php
/**
 * @package			UAACS\views\templates\header
 * @version			3.0
 * @since			3.0
 * @copyright		2014-2020, BizyCorp Internal Systems Development
 * @license			private, All rights reserved
 * @author			NCW
 */
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * @package			UAACS\views\templates\header
 * @version			3.0
 * @since			3.0
 * @copyright		2014-2020, BizyCorp Internal Systems Development
 * @license			private, All rights reserved
 * @author			NCW
 * @uses			
 * @see				
 * @created			Jul 30, 2020 by NCW
 * @modified		Jul 30, 2020 by NCW
 * @modification	
 *
 */
?>
<!DOCTYPE html>
<html>
<head>
	<link rel="icon" type="image/png" href="<?=$this->config->item('base_path')?>assets/images/bizycoprp_logo.png" />
	
    <title>UAACS <?=date("Y");?></title>
    <meta charset="UTF-8">
	<meta name="robots" content="nofollow, noindex, noarchive" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<!-- google fonts -->
	<link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Roboto'>
	<link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Annie Use Your Telescope'>
	
	<!-- Font awesome css link -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	
	<!-- bootstrap css -->
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
	
	<!-- template css -->
	<!-- link rel="stylesheet" href="<?=$this->config->item('base_path')?>assets/css/ace.min.css"> 
	<link rel="stylesheet" href="<?=$this->config->item('base_path')?>assets/css/ace-skins.min.css">
	<link rel="stylesheet" href="<?=$this->config->item('base_path')?>assets/css/ace-rtl.min.css">
	<link rel="stylesheet" href="<?=$this->config->item('base_path')?>assets/css/bootstrap-datetimepicker.min.css"-->
        
	<!-- Bootstrap -->
    <link href="<?=$this->config->item('base_path')?>assets/css/bootstrap.min.css" rel="stylesheet">
   
    <!-- NProgress -->
    <link href="<?=$this->config->item('base_path')?>assets/css/nprogress.css" rel="stylesheet">
    <!-- iCheck -->
    <link href="<?=$this->config->item('base_path')?>assets/css/green.css" rel="stylesheet">
	
	<!-- PNotify -->
    <!-- link href="<?=$this->config->item('base_path')?>assets/css/pnotify.css" rel="stylesheet">
    <link href="<?=$this->config->item('base_path')?>assets/css/pnotify.buttons.css" rel="stylesheet">
    <link href="<?=$this->config->item('base_path')?>assets/css/pnotify.nonblock.css" rel="stylesheet"-->
    
    <!-- bootstrap-progressbar -->
    <link href="<?=$this->config->item('base_path')?>assets/css/bootstrap-progressbar-3.3.4.min.css" rel="stylesheet">
   
    <!-- Custom Theme Style -->
    <link href="<?=$this->config->item('base_path')?>assets/css/custom.min.css" rel="stylesheet">
    
</head>
<style>

</style>
<body class="nav-md">
    <div class="container body">
      <div class="main_container" style="background-color: #2A3F54;">
        <div class="col-md-3 left_col">
          <div class="left_col scroll-view">
            <div class="navbar nav_title" style="border: 0;">
              <a href="<?php echo $this->config->item('base_path'); ?>" class="site_title">
              	<small>
					<img alt="" src="<?=$this->config->item('base_path')?>assets/images/bizycoprp_logo.png" width="35px" height="25px">
					UAACS <?=date("Y");?>
				</small>
              </a>
            </div>

            <div class="clearfix"></div>

            <!-- menu profile quick info -->
            <div class="profile clearfix">
              <div class="profile_pic">
                <img src="<?php if(isset($_SESSION['picture'])){ print $_SESSION['picture'];}else{}?>" alt="<?php if(isset($_SESSION['picture'])){ print $_SESSION['staff_name']."'s";}?> Photo" class="img-circle profile_img">
              </div>
              <div class="profile_info">
                <span>Welcome,</span>
                <h2><?php if(isset($_SESSION['staff_name'])){ print $_SESSION['staff_name'];}?></h2>
              </div>
            </div>
            <!-- /menu profile quick info -->

            <br />

			<!-- sidebar menu -->
            <div id="sidebar-menu" class="main_menu_side hidden-print main_menu">
              <div class="menu_section">
                <h3>UAACS</h3>
                <ul class="nav side-menu">
                  <li><a href="<?php echo base_url()?>uaacs_app_roles/"><i class="fa fa-cog"></i>UAACS Roles</a></li>
                  <li><a href="<?php echo base_url()?>uaacs_role_assignments/"><i class="fa fa-check"></i>UAACS Assignments</a></li>
                </ul>
              </div>
              <div class="menu_section">
                <h3>Applications</h3>
                <ul class="nav side-menu">
                  <li><a href="<?php echo base_url()?>applications/"><i class="fa fa-windows"></i>Applications</a>
                  <li><a href="<?php echo base_url()?>appfunctions/"><i class="fa fa-tasks"></i>Functions</a></li>
                  <li><a href="<?php echo base_url()?>approles/"><i class="fa fa-cogs"></i>Roles</a></li>
                  <li><a><i class="fa fa-edit"></i> Assignments <span class="fa fa-chevron-down"></span></a>
                    <ul class="nav child_menu">
                      <li><a href="<?php echo base_url()?>userassignedfunctions/"><i class="fa fa-users"></i> User Assignments</a></li>
                      <li><a href="<?php echo base_url()?>roleassignedfunctions/"><i class="fa fa-check-circle-o"></i>Role - Function</a></li>
                    </ul>
                  </li>
                </ul>
              </div>
            </div>
            <!-- /sidebar menu -->

            <!-- /menu footer buttons -->
            <div class="sidebar-footer hidden-small" style="float: right">
              <!-- a data-toggle="tooltip" data-placement="top" title="Settings">
                <span class="glyphicon glyphicon-cog" aria-hidden="true"></span>
              </a>
              <a data-toggle="tooltip" data-placement="top" title="FullScreen">
                <span class="glyphicon glyphicon-fullscreen" aria-hidden="true"></span>
              </a>
              <a data-toggle="tooltip" data-placement="top" title="Lock">
                <span class="glyphicon glyphicon-eye-close" aria-hidden="true"></span>
              </a-->
              <a data-toggle="tooltip" data-placement="top" title="Logout" href="<?php echo base_url()?>home/logout" style="float: right">
                <span class="glyphicon glyphicon-off" aria-hidden="true"></span>
              </a>
            </div>
            <!-- /menu footer buttons -->
          </div>
        </div>

        <!-- top navigation -->
        <div class="top_nav">
          <div class="nav_menu">
            <nav>
              <div class="nav toggle">
                <a id="menu_toggle"><i class="fa fa-bars"></i></a>
              </div>
            
              <ul class="nav navbar-nav navbar-right">
                <!-- li class="">
                  <a href="javascript:;" class="user-profile dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                    <img src="images/img.jpg" alt="">John Doe
                    <span class=" fa fa-angle-down"></span>
                  </a>
                  <ul class="dropdown-menu dropdown-usermenu pull-right">
                    <li><a href="javascript:;"> Profile</a></li>
                    <li>
                      <a href="javascript:;">
                        <span class="badge bg-red pull-right">50%</span>
                        <span>Settings</span>
                      </a>
                    </li>
                    <li><a href="javascript:;">Help</a></li>
                    <li><a href="<?php echo base_url()?>home/logout"><i class="fa fa-sign-out pull-right"></i> Log Out</a></li>
                  </ul>
                </li-->

                <li role="presentation" class="dropdown">
                  <a href="<?php echo base_url()?>home/logout"><i class="fa fa-sign-out pull-right"></i></a>
                  <!-- a href="javascript:;" class="dropdown-toggle info-number" data-toggle="dropdown" aria-expanded="false">
                    <i class="fa fa-envelope-o"></i>
                    <span class="badge bg-green">6</span>
                  </a-->
                  <!-- ul id="menu1" class="dropdown-menu list-unstyled msg_list" role="menu">
                    <li>
                      <a>
                        <span class="image"><img src="images/img.jpg" alt="Profile Image" /></span>
                        <span>
                          <span>John Smith</span>
                          <span class="time">3 mins ago</span>
                        </span>
                        <span class="message">
                          Film festivals used to be do-or-die moments for movie makers. They were where...
                        </span>
                      </a>
                    </li>
                    <li>
                      <a>
                        <span class="image"><img src="images/img.jpg" alt="Profile Image" /></span>
                        <span>
                          <span>John Smith</span>
                          <span class="time">3 mins ago</span>
                        </span>
                        <span class="message">
                          Film festivals used to be do-or-die moments for movie makers. They were where...
                        </span>
                      </a>
                    </li>
                    <li>
                      <a>
                        <span class="image"><img src="images/img.jpg" alt="Profile Image" /></span>
                        <span>
                          <span>John Smith</span>
                          <span class="time">3 mins ago</span>
                        </span>
                        <span class="message">
                          Film festivals used to be do-or-die moments for movie makers. They were where...
                        </span>
                      </a>
                    </li>
                    <li>
                      <a>
                        <span class="image"><img src="images/img.jpg" alt="Profile Image" /></span>
                        <span>
                          <span>John Smith</span>
                          <span class="time">3 mins ago</span>
                        </span>
                        <span class="message">
                          Film festivals used to be do-or-die moments for movie makers. They were where...
                        </span>
                      </a>
                    </li>
                    <li>
                      <div class="text-center">
                        <a>
                          <strong>See All Alerts</strong>
                          <i class="fa fa-angle-right"></i>
                        </a>
                      </div>
                    </li>
                  </ul-->
                </li>
              </ul>
              </nav> 
          </div>
        </div>
        <!-- /top navigation -->

         <!-- page content -->
        <div class="right_col" role="main">
          