<?php
/**
 * @package			UAACS\views\templates\header
 * @version			3.0
 * @since			3.0
 * @copyright		2014-2020, BizyCorp Internal Systems Development
 * @license			private, All rights reserved
 * @author			NCW
 */
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * @package			UAACS\views\templates\header
 * @version			3.0
 * @since			3.0
 * @copyright		2014-2020, BizyCorp Internal Systems Development
 * @license			private, All rights reserved
 * @author			NCW
 * @uses			
 * @see				
 * @created			Jul 30, 2020 by NCW
 * @modified		Jul 30, 2020 by NCW
 * @modification	
 *
 */
?>
<!DOCTYPE html>
<html>
<head>
	<link rel="icon" type="image/png" href="images/bizycoprp_logo.png" />
	
    <title>UAACS <?=date("Y");?></title>
    <meta charset="UTF-8">
	<meta name="robots" content="nofollow, noindex, noarchive" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<!-- google fonts -->
	<link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Roboto'>
	<link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Annie Use Your Telescope'>
	
	<!-- Font awesome css link -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	
	<!-- bootstrap css -->
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
	
	<!-- template css -->
	<link rel="stylesheet" href="<?=$this->config->item('base_path')?>assets/css/ace.min.css"> 
	<link rel="stylesheet" href="<?=$this->config->item('base_path')?>assets/css/ace-skins.min.css">
	<link rel="stylesheet" href="<?=$this->config->item('base_path')?>assets/css/ace-rtl.min.css">
	<link rel="stylesheet" href="<?=$this->config->item('base_path')?>assets/css/bootstrap-datetimepicker.min.css">
	
	<!-- js function links -->
	
	<!-- script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script-->
	<script src="<?=$this->config->item('base_path')?>assets/js/jquery-2.1.4.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
	<script src="<?=$this->config->item('base_path')?>assets/js/ace-extra.min.js"></script>
	<script src="<?=$this->config->item('base_path')?>assets/js/ace-elements.min.js"></script>
	<script src="<?=$this->config->item('base_path')?>assets/js/ace.min.js"></script>
	<script src="<?=$this->config->item('base_path')?>assets/js/custom.js"></script>
	<script src="<?=$this->config->item('base_path')?>assets/js/bootstrap-datepicker.min.js"></script>
	
	<!-- script src="<?=base_url()?>assets/js/temp_functions.js"></script-->
</head>
<body>

<div id="navbar" class="navbar navbar-default ace-save-state">
			<div class="navbar-container ace-save-state" id="navbar-container">
				<button type="button" class="navbar-toggle menu-toggler pull-left" id="menu-toggler" data-target="#sidebar">
					<span class="sr-only">Toggle sidebar</span>

					<span class="icon-bar"></span>

					<span class="icon-bar"></span>

					<span class="icon-bar"></span>
				</button>

				<div class="navbar-header pull-left">
					<a href="<?php echo base_url(); ?>" class="navbar-brand">
						<small>
							<img alt="" src="<?=base_url()?>assets/images/bizycoprp_logo.png" width="35px" height="25px">
							UAACS <?=date("Y");?>
						</small>
					</a>
				</div>

				<div class="navbar-buttons navbar-header pull-right" role="navigation">
					<ul class="nav ace-nav">
						<li class="light-blue dropdown-modal">
							<a data-toggle="dropdown" href="#" class="dropdown-toggle">
								<img class="nav-user-photo" src="<?php //print $_SESSION['picture'];?>" alt="<?php //print $_SESSION['staff_name'];?> Photo" />
								<span class="user-info">
									<small>Welcome,</small>
									<?php //print $_SESSION['staff_name'];?>
								</span>

								<i class="ace-icon fa fa-caret-down"></i>
							</a>

							<ul class="user-menu dropdown-menu-right dropdown-menu dropdown-yellow dropdown-caret dropdown-close">
								<li>
									<a href="<?php print base_url()?>logout">
										<i class="ace-icon fa fa-power-off"></i>
										Logout
									</a>
								</li>
							</ul>
						</li>
					</ul>
				</div>

			</div><!-- /.navbar-container -->
		</div>
		<?php 
	
		$page="";
		$c_name ="";
		$active_dashboardstyle="";
		$active_clientstyle="";
		$active_bannerstyle="";
		$active_schedulerstyle="";
		$active_reportstyle="";
		$active_settingsstyle="";
		$active_articlestyle="";
		$active_videostyle="";
		$active_spstyle="";
		$active_profilesstyle="";
		$url = $_SERVER['REQUEST_URI'];
		$url_arr = explode("/", $url);
		//print_r($url_arr);
		if(!isset($url_arr[3])){
			$active_dashboardstyle="active open ";
		}elseif($url_arr[3] =="monthlyBannerSummaryCC" || $url_arr[3] =="monthlyBannerSummary" || $url_arr[3] =="bannerSummary" ||  $url_arr[3] =="clientApprovalSummary"){
			$active_reportstyle="active open ";
		}elseif($url_arr[2] =="client_controller" && $url_arr[3] =="index"){
			$active_clientstyle="active open ";
		}elseif($url_arr[3] =="inactiveClients" || $url_arr[3] =="terminatedClients"){
			$active_clientstyle="active open ";
		}elseif($url_arr[3] =="clientMasterReport" || $url_arr[3] =="clientAllocationReport"){
			$active_clientstyle="active open ";
		}elseif($url_arr[2] =="client_monthlybanners"){
			$active_bannerstyle="active open ";
		}elseif($url_arr[2] =="scheduler"){
			$active_schedulerstyle="active open ";
		}elseif($url_arr[2] =="sm_specialdays" || $url_arr[2] =="posting_plan" || $url_arr[2] =="active_sm_month"){
			$active_settingsstyle="active open ";
		}elseif($url_arr[2] =="client_monthlyarticles"){
			$active_articlestyle="active open ";
		}elseif($url_arr[2] =="client_monthlyvideos" || $url_arr[2] =="smvideos"){
			$active_videostyle="active open ";
		}elseif($url_arr[2] =="client_spmonthlybanners"){
			$active_spstyle="active open ";
		}elseif($url_arr[2] =="monthly_qa_checklist"){
			$active_bannerstyle="active open ";
		}elseif($url_arr[2] =="monthly_banner_qa"){
			$active_bannerstyle="active open ";
		}elseif($url_arr[2] =="profiles"){
			$active_profilesstyle="active open ";
		}else{
			$active_reportstyle="active open ";
		}
		
		?>
		<div class="main-container ace-save-state" id="main-container">
		<div class="main-container ace-save-state" id="main-container">
			<script type="text/javascript">
				try{ace.settings.loadState('main-container')}catch(e){}
			</script>

			<div id="sidebar" class="sidebar h-sidebar navbar-collapse collapse ace-save-state">
				<script type="text/javascript">
					try{ace.settings.loadState('sidebar')}catch(e){}
				</script>

				<ul class="nav nav-list">
					<li class="<?php print $active_dashboardstyle;?>hover">
						<a href="<?php echo base_url(); ?>">
							<i class="menu-icon fa fa-tachometer"></i>
							<span class="menu-text"> Dashboard </span>
						</a>

						<b class="arrow"></b>
					</li>
					<?php if(isset($_SESSION['staff_id']) && in_array("661",$_SESSION['fIds'])){?>
					<li class="<?php print $active_clientstyle;?>hover">
						<a href="#" class="dropdown-toggle">
							<i class="menu-icon fa fa-users"></i>
							<span class="menu-text"> Clients </span>
						</a>

						<b class="arrow"></b>
						<ul class="submenu">
						
						<li class="hover">
							<a href="<?php echo base_url(); ?>client_controller/index/true/0/0/clients_list/HTML/">
							<i class="menu-icon fa fa-users"></i>
							<span class="menu-text"> Active Clients </span>
							</a>
							<b class="arrow"></b>
						</li>
						<li class="hover">
								<a href="<?php echo base_url(); ?>client_controller/inactiveClients">
									<i class="menu-icon fa fa-caret-right"></i>
									Inactive Clients
								</a>
								<b class="arrow"></b>
						</li>
						<li class="hover">
								<a href="<?php echo base_url(); ?>client_controller/terminatedClients">
									<i class="menu-icon fa fa-caret-right"></i>
									Terminated Clients
								</a>
								<b class="arrow"></b>
						</li>
						
						</ul>
					</li>
					
					<?php } ?>
					
					<?php if(isset($_SESSION['staff_id']) && in_array("726",$_SESSION['fIds'])){?>
					<li class="<?php print $active_profilesstyle;?>hover">
						<a href="#" class="dropdown-toggle">
							<i class="menu-icon fa fa-share-alt"></i>
							<span class="menu-text">
								Profiles
							</span>

							<b class="arrow fa fa-angle-down"></b>
						</a>

						<b class="arrow"></b>

						<ul class="submenu">
							<!--li class="hover">
								<a href="<?php echo base_url(); ?>profiles/profileMasterReport">
									<i class="menu-icon fa fa-caret-right"></i>
									 Profile Master
								</a>
								<b class="arrow"></b>
							</li--> 
							<li class="hover">
								<a href="<?php echo base_url(); ?>profiles/socialMediaProfiles">
									<i class="menu-icon fa fa-caret-right"></i>
									 Active Profiles
								</a>
								<b class="arrow"></b>
							</li>
							<li class="hover">
								<a href="<?php echo base_url(); ?>profiles/inactiveProfileReport">
									<i class="menu-icon fa fa-caret-right"></i>
									 Inactive Profiles
								</a>
								<b class="arrow"></b>
							</li>
							 
						</ul>
					</li>
					<?php } ?>
					<?php if(isset($_SESSION['staff_id']) && in_array("665",$_SESSION['fIds'])){?>
					<li class="<?php print $active_bannerstyle;?>hover">
						<a href="#" class="dropdown-toggle">
							<i class="menu-icon fa fa-picture-o"></i>
							<span class="menu-text">
								Banners
							</span>

							<b class="arrow fa fa-angle-down"></b>
						</a>

						<b class="arrow"></b>

						<ul class="submenu">
						<?php if(isset($_SESSION['staff_id']) && in_array("725",$_SESSION['fIds'])){?>
							<li class="hover">
								<a href="<?php echo base_url(); ?>monthly_banner_qa/monthlyBannerQAList">
									<i class="menu-icon fa fa-caret-right"></i>
									 Generation QA
								</a>
								<b class="arrow"></b>
							</li>  
						<?php } ?>
						<?php if(isset($_SESSION['staff_id']) && in_array("724",$_SESSION['fIds'])){?>
							<li class="hover">
								<a href="<?php echo base_url(); ?>monthly_qa_checklist/monthlyBannerQACheckList">
									<i class="menu-icon fa fa-caret-right"></i>
									 Generation Checklist
								</a>
								<b class="arrow"></b>
							</li>  
							<?php } ?>
							<li class="hover">
								<a href="<?php echo base_url(); ?>client_monthlybanners/generateMonthlyBanners/">
									<i class="menu-icon fa fa-caret-right"></i>
									Generation - Bulk
								</a>

								<b class="arrow"></b>
							</li>
							<li class="hover">
								<a href="<?php echo base_url(); ?>client_monthlybanners/clientBanners">
									<i class="menu-icon fa fa-caret-right"></i>
									Generation - Client
								</a>

								<b class="arrow"></b>
							</li>
							
						</ul>
					</li>
					<?php } ?>
					<?php if(isset($_SESSION['staff_id']) && in_array("696",$_SESSION['fIds'])){?>
					<li class="<?php print $active_videostyle;?>hover">
						<a href="#" class="dropdown-toggle">
							<i class="menu-icon fa fa-video-camera"></i>
							<span class="menu-text"> Videos </span>
						</a>
						<b class="arrow fa fa-angle-down"></b>
						
						<ul class="submenu">
							<li class="hover">
								<a href="<?php echo base_url(); ?>client_monthlyvideos/generateMonthlyVideos/">
									<i class="menu-icon fa fa-caret-right"></i>
									Generate Bulk Videos
								</a>
							</li>
							<li class="hover">
								<a href="<?php echo base_url(); ?>smvideos/monthlyVideos/">
									<i class="menu-icon fa fa-caret-right"></i>
									Monthly Videos
								</a>
							</li>
							<li class="hover">
								<a href="<?php echo base_url(); ?>client_monthlyvideos/index/true/0/0/clients_videos/HTML/">
									<i class="menu-icon fa fa-caret-right"></i>
									Client Monthly Videos
								</a>
							</li>
						</ul>
					</li>
				
					<?php } ?>
					<?php if(isset($_SESSION['staff_id']) && in_array("697",$_SESSION['fIds'])){?>
				    <li class="<?php print $active_articlestyle;?>hover">
						<a href="<?php echo base_url(); ?>client_monthlyarticles/index/true/0/0/clients_articles/HTML/">
							<i class="menu-icon fa fa-file"></i>
							<span class="menu-text"> Articles </span>
						</a>

						<b class="arrow"></b>
					</li>
					<?php } ?>
					<?php if(isset($_SESSION['staff_id']) && in_array("698",$_SESSION['fIds'])){?>
					<li class="<?php print $active_spstyle;?>hover">
						<a href="<?php echo base_url(); ?>client_spmonthlybanners/index/true/0/0/clients_spbanners/HTML/">
							<i class="menu-icon fa fa-certificate"></i>
							<span class="menu-text"> Social Proof </span>
						</a>

						<b class="arrow"></b>
					</li>
					<?php } ?>
					<?php if(isset($_SESSION['staff_id']) && in_array("671",$_SESSION['fIds'])){?>
					<li class="<?php print $active_schedulerstyle;?>hover">
						<a href="dropdown-toggle">
							<i class="menu-icon fa fa-calendar"></i>

							<span class="menu-text">
								Scheduler
							</span>
						   <b class="arrow fa fa-angle-down"></b>
						</a>

						<b class="arrow"></b>

						<ul class="submenu">
							<!--li class="hover">
								<a href="<?php echo base_url(); ?>scheduler/scheduleBanners">
									<i class="menu-icon fa fa-caret-right"></i>
									Schedule Banners
								</a>
								<b class="arrow"></b>
							</li-->
							<?php if(isset($_SESSION['staff_id']) && in_array("722",$_SESSION['fIds'])){?>
							<li class="hover">
								<a href="<?php echo base_url(); ?>scheduler/manualPostings">
									<i class="menu-icon fa fa-caret-right"></i>
									Manual Posts
								</a>
								<b class="arrow"></b>
							</li>
							<?php } ?>
							<li class="hover">
								<a href="<?php echo base_url(); ?>scheduler/postSchedules">
									<i class="menu-icon fa fa-caret-right"></i>
									Schedule Calendar
								</a>
								<b class="arrow"></b>
							</li>
									
						</ul>
					</li>
					<?php } ?>
					<?php if(isset($_SESSION['staff_id']) && in_array("678",$_SESSION['fIds'])){?>
					<li class="<?php print $active_reportstyle;?>hover">
						<a href="<?php echo base_url(); ?>reports/">
							<i class="menu-icon fa fa-list"></i>
							<span class="menu-text"> Reports </span>

							<b class="arrow fa fa-angle-down"></b>
						</a>

						<b class="arrow"></b>


					</li>
					<?php } ?>
					<?php if(isset($_SESSION['staff_id']) && in_array("677",$_SESSION['fIds'])){?>
     				<li class="<?php print $active_settingsstyle;?>hover">
						<a href="#" class="dropdown-toggle">
							<i class="menu-icon fa fa-cogs"></i>
							<span class="menu-text"> Settings </span>

							<b class="arrow fa fa-angle-down"></b>
						</a>

						<b class="arrow"></b>

						<ul class="submenu">
							<li class="hover">
								<a href="<?php echo base_url(); ?>posting_plan/index/posting_plan/HTML">
								<i class="menu-icon fa fa-pencil-square-o"></i>
								SM Posting Plans
								</a>
								<b class="arrow"></b>
							</li>

							<li class="hover">
								<a href="<?php echo base_url(); ?>sm_specialdays/specialdays/">
								<i class="menu-icon fa fa-pencil-square-o"></i>
								Special Day Calendar
								</a>

								<b class="arrow"></b>
							</li>
							<li class="hover">
								<a href="<?php echo base_url(); ?>active_sm_month/activeMonthList/">
								<i class="menu-icon fa fa-pencil-square-o"></i>
								Active Month
								</a>

								<b class="arrow"></b>
							</li>
						</ul>
					</li>
					<?php } ?>
					<li class="hover sidebar-toggle sidebar-collapse" id="sidebar-collapse">
						<a>
						<i id="sidebar-toggle-icon" class="ace-icon fa fa-angle-double-left  ace-save-state" data-icon1="ace-icon fa fa-angle-double-left" data-icon2="ace-icon fa fa-angle-double-right"></i>
					    Collapse/Expand
					    </a>
					    <b class="arrow"></b>
					</li>
				</ul><!-- /.nav-list -->
			</div>
			<div class="main-content">
				<div class="main-content-inner">