<?php
		/**
		 * Auto Generated CI View
		 *
		 *
		 * This is main view file of uaacs_role_assignments management. 
		 *
		 * @package		 uaacs\views\uaacs_role_assignments_list
		 * @version      1.0
	 	 * @since	     version 1.0
		 * @copyright	 2020, BizyCorp Internal Systems Development
		 * @license		 private, All rights reserved
		 * @author		 CIGen (Automated CI Code Generator)
		 */
		
		if ( ! defined('BASEPATH')) exit('No direct script access allowed');

		/**
		 *  This is main view file of uaacs_role_assignments management. 
		 *  
		 *  
		 *  It contains the front end (view) of that. Its
		 *  created with dhtmlx grid component.
		 *  Usage :- controller function pass parameters to view to implement the view. 
		 *
		 * @package      uaacs\views\uaacs_role_assignments_list
		 * @version      1.0
	 	 * @since	     version 1.0
		 * @copyright    2020, BizyCorp Internal Systems Development
		 * @license      private, All rights reserved
		 * @author       CIGen (Automated CI Code Generator)
		 * @uses
		 * @see
		 * @created    	Aug 28, 2020
		 * @modified   	Aug 28, 2020 by CIGen
		 * @modification
		 */
class uaacs_role_assignments_view{
	// Just a dummy class for phpdoc to catch the doc header.
}

$page=$uaacs_role_assignments_data['data']['dataset']['page'];
$limit=$uaacs_role_assignments_data['data']['dataset']['limit'];
$offset=$uaacs_role_assignments_data['data']['dataset']['offset'];

$pages=ceil($uaacs_role_assignments_data['data']['dataset']['total_rows']/$limit);

if(isset($uaacs_role_assignments_data['app_id'])){
	$app_id=$uaacs_role_assignments_data['app_id'];
}else{
	$app_id="";
}

if(isset($uaacs_role_assignments_data['role_id'])){
	$role_id=$uaacs_role_assignments_data['role_id'];
}else{
	$role_id="";
}

if(isset($uaacs_role_assignments_data['staff_id'])){
	$staff_id=$uaacs_role_assignments_data['staff_id'];
}else{
	$staff_id="";
}
?>
<style>
body{
    background-color: unset !important;
}

.modal-dialog{
    max-width: 800px !important;
}

#notification-area-np{
  position: fixed;
  z-index: 10000;
  left: 0;
  padding: 20px;
  width: 100%;
  display:none;
}
</style>
<div id="dvcontent">
<div class="page-title">
   <div class="title_left">
       <h3>UAACS Roles Assignments</h3>
    </div>
</div>

<div class="page-content">
	<div class="row">
	    <div id="notification-area-np" class="text-center"></div>
	    <div class="col-xs-12" style="margin-bottom: 10px";></div>
		<div class="col-xs-12">
	     <table class="tableTools-container" >
	     <tr style="background-color: #eaf4fd;">
	     <td style="padding-left: 10px;background-color: #eaf4fd;">Application</td>
	     <td style="padding-right: 10px;background-color: #eaf4fd;"><? print file_get_contents(base_url()."applications/createDropdown/?nametag=appid&sbv=$app_id"); ?></td>
	     <td style="padding-right: 10px;background-color: #eaf4fd;"></td>
         <td style="padding-right: 10px;padding-top: 10px;background-color: #eaf4fd;" align="right">
	     		<button class="btn btn-xs nav-search-icon"  onclick="searchRecords()">
				   <i class="ace-icon fa fa-search nav-search-icon"></i>
				</button>
	     </td>
	     <td colspan="3" style="padding-right: 10px;padding-top: 10px;background-color: #eaf4fd;">
	     <a onclick="addFormLoad('#new-modal','<?php echo base_url(); ?>uaacs_role_assignments/data_form/add')" data-target="#new-modal" data-remote="false" role="button" data-toggle="modal" >
	     	<span class="green">Assign Users
			 <i class="ace-icon fa fa-plus bigger-120"></i>
		 	</span>
		  </a>
	     </td>
         </tr>
         <tr><td colspan="6">
         <table id="simple-table" class="table table-striped table-bordered table-hover">
						<thead>
							<tr>
								<th><div style="text-align:center;">Staff</div></th>
								<th><div style="text-align:center;">Application</div></th>
								<th><div style="text-align:center;">Role</div></th>
								<th style="width:75px;">Action</th>
							</tr>
						</thead>
						<tbody>
						    <?php
						     if(count($uaacs_role_assignments_data['data']['dataset']['result_set']) == 0){
							?>	
							<tr>
								<td colspan="25" align="center"><b><?php print "No records found...." ?></b></td>
							</tr>
							<?php 
							  }else{ 

							?>
							<?php 
							$cc="";
							$team="";
						        foreach($uaacs_role_assignments_data['data']['dataset']['result_set'] as $i){
									$id=$i['id'];
							
									
						    ?>
							<tr id="<?php echo $id;?>">
							    <td><?php echo $i['staff_id']; ?></td>
							    <td><?php echo $i['name']; ?></td>
							    <td><?php echo $i['role_name']; ?></td>
								<td>
                                    <div class="hidden-sm hidden-xs btn-group">
                                    <?php if($id !="" && $id !=0){ ?>
                                    <a onclick="addFormLoad('#new-modal','<?php echo base_url(); ?>uaacs_role_assignments/loadForm/<?php echo $id; ?>');"  data-target="#new-modal" data-remote="false" role="button" data-toggle="modal" >
                                    <span class="blue" title="Edit Assignment" style="padding-right: 5px">
										 <i class="ace-icon fa fa-pencil bigger-120"></i>
								    </span>
									</a>
									<?php } ?>
                                    <a role="button" onclick="deleteMe('<?php echo $id; ?>','<?php echo $page; ?>')">
										<span class="red" title="Delete Assignment">
										<i class="ace-icon fa fa-ban bigger-120"></i>
										</span>
									</a> 	
									</div>
                                </td>
							</tr>
							<?php
						         } 
						       }
							
							?>
						</tbody>
					</table>
         </td></tr>
	     </table>
		</div>
	</div><!-- /.row -->
</div><!-- /.page-content -->
<div id="paginApp">
		    <?php 
		    if($pages !=0){
		    	print "Page ";
		    ?>
		    <select name="page" id="page"  onchange="doPage('<?=$limit?>',document.getElementById('page').value)">
		        <?php for($i=1;$i<=$pages;$i++){?>
		        <option value="<?php print $i;?>" <?php if($page == $i){ ?>selected="selected"<?php } ?>><?php print $i?></option>
		        <?php } ?>
		    </select>
		    <?php 
		    }
		    ?>
</div>
</div>
<script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>

<script>

 var doPage = function(limit,page){
	  var offset=0;
	  offset=limit*(page-1) ;
	  
	  var url = "<?php print base_url();?>uaacs_role_assignments/uaacs_role_assignmentsList/";
	 
		  
		  $("#notification-area-np").html('<i class="fa fa-refresh fa-spin"></i>');
		  
		  $("#dvcontent").load(url, function(res, sta, xhr){
		  
		  if(sta == "success"){
			  $("#notification-area-np").html('');
	      }
		  if(sta == "error"){ }
	 });
	 
	}	

	
	 function deleteMe(id,page){
		var del='id:'+id;
		
		var offset=25*(page-1) ;
		
		var pg_url = "<?php print base_url();?>uaacs_role_assignments/uaacs_role_assignmentsList/";
		 
	  	  if (confirm('Are you sure you want to delete this record?')) {
				$("#notification-area-np").html('<i class="fa fa-refresh fa-spin"></i>');
			    $.ajax({
			        
			    	url:"<?php print base_url();?>uaacs_role_assignments/delete/"+del,
			        data:'',
			        processData: false,
			        contentType: false,
			        success: function(response){
			        	$("#notification-area-np").html('<div class="alert alert-warning alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button>Record successfully deleted!</div');
						setTimeout(function(){loadPage(pg_url); }, 2000);
			        	
			        },
		        	error: function(response){
			        	$("#notification-area-np").html('error');
		        	
			        }
			    });
			}else{
				$("#notification-area-np").html('');
			}
		}

	
	
	function searchRecords(){
		  var limit=25;
		  var offset=0;

		  heightNot = ($(window).height()/3)+"px";
	      $("#notification-area-np").css("top",heightNot);
	      $("#notification-area-np").show();
	      
		  var url = "<?php print base_url();?>uaacs_role_assignments/index/true/"+limit+"/"+offset;

		  url = url+"/uaacs_app_roles_list/search_html/?page="+$("#page").val();

		  if($("#appid").val() !=""){
			  url = url+'&uaacs_role_assignments/app_id_equal='+$("#appid").val();
		  }
		    
		  $("#notification-area-np").html('<div class="alert alert-info alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button><i class="fa fa-refresh fa-spin"></i></div>');
		  		  
		  $("#dvcontent").load(url, function(res, sta, xhr){
			  
		  
  		  if(sta == "success"){
  			  $("#notification-area-np").hide();
            }
  		  if(sta == "error"){ }
		 });
		 
		}	

    function loadPage(url){

        
    	$("#notification-area-np").html('<i class="fa fa-refresh fa-spin"></i>');
    	$("#dvcontent").load(url, function(res, sta, xhr){

    		  if(sta == "success"){
    			  $("#notification-area-np").html('');
              }
    		  if(sta == "error"){ }
  		 });
    }
	
</script>