<?php
		/**
		 * Auto Generated CI View
		 *
		 *
		 * This is main view file of APIErrors management. 
		 *
		 * @package		 uaacs\views\APIErrors_list
		 * @version      1.0
	 	 * @since	     version 1.0
		 * @copyright	 2020, BizyCorp Internal Systems Development
		 * @license		 private, All rights reserved
		 * @author		 CIGen (Automated CI Code Generator)
		 */
		
		if ( ! defined('BASEPATH')) exit('No direct script access allowed');

		/**
		 *  This is main view file of APIErrors management. 
		 *  
		 *  
		 *  It contains the front end (view) of that. Its
		 *  created with dhtmlx grid component.
		 *  Usage :- controller function pass parameters to view to implement the view. 
		 *
		 * @package      uaacs\views\APIErrors_list
		 * @version      1.0
	 	 * @since	     version 1.0
		 * @copyright    2020, BizyCorp Internal Systems Development
		 * @license      private, All rights reserved
		 * @author       CIGen (Automated CI Code Generator)
		 * @uses
		 * @see
		 * @created    	Aug 14, 2020
		 * @modified   	Aug 14, 2020 by CIGen
		 * @modification
		 */
class APIErrors_view{
	// Just a dummy class for phpdoc to catch the doc header.
}
		
?>
<style>
body{
    background-color: unset !important;
}

.modal-dialog{
    max-width: 800px !important;
}
</style>
<div class="breadcrumbs ace-save-state" id="breadcrumbs">
	<ul class="breadcrumb">
		<li>
			<a href="<?php echo base_url(); ?>">Dashboard</a>
		</li>
		<li class="active">APIErrors</li>
	</ul><!-- /.breadcrumb -->
</div>

<div class="page-content">
	<div class="row">
	    <div id="notification-area-np" class="text-center"></div>
	    <div class="col-xs-12" style="margin-bottom: 10px";></div>
		<div class="col-xs-12">
	     <table class="tableTools-container" >
	     <tr>
	     <td colspan="6" class="table-header" >APIErrors</td>
	     </tr>
	     <tr style="background-color: #eaf4fd;">
	     <td style="padding-left: 10px;background-color: #eaf4fd;"></td>
	     <td style="padding-right: 10px;background-color: #eaf4fd;"></td>
	     <td style="padding-right: 10px;background-color: #eaf4fd;"></td>
         <td style="padding-right: 10px;padding-top: 10px;background-color: #eaf4fd;" align="right">
	     		<button class="btn btn-xs nav-search-icon"  onclick="searchRecords(document.getElementById('month').value)">
				   <i class="ace-icon fa fa-search nav-search-icon"></i>
				</button>
	     </td>
	     <td colspan="3" style="padding-right: 10px;padding-top: 10px;background-color: #eaf4fd;"></td>
         </tr>
         <tr><td colspan="6">
         <table id="simple-table" class="table table-striped table-bordered table-hover">
						<thead>
							<tr>
							    <th><div style="text-align:center;"></div></th>
<th><div style="text-align:center;"></div></th>

								<th style="width:75px;">Action</th>
							</tr>
						</thead>
						<tbody>
						    <?php
						     if(count($data['dataset']['result_set']) == 0){
							?>	
							<tr>
								<td colspan="25" align="center"><b><?php print "No records found for this month...." ?></b></td>
							</tr>
							<?php 
							  }else{ 

							?>
							<?php 
							$cc="";
							$team="";
						        foreach($data['dataset']['result_set'] as $i){
									$id=$i[''];
							
									
						    ?>
							<tr id="<?php echo $id;?>">
							    <td><?php //echo $i; ?></td>
								<td>
                                    <div class="hidden-sm hidden-xs btn-group">
                                    <?php if($id !="" && $id !=0){ ?>
                                    <a onclick='$(".modal-body").empty()' href="<?php echo base_url(); ?>APIErrors/loadForm/<?php echo $id; ?>"  data-target="#new-modal" data-remote="false" role="button" data-toggle="modal" >
                                    <span class="purple">
									 <i class="ace-icon fa fa-search-plus bigger-120"></i>
									</span>
									</a>
									<?php } ?>
                                    <a role="button" onclick="deleteMe('<?php echo $id; ?>','<?php echo $page; ?>')">
										<button class="btn btn-xs btn-danger"  data-rel="tooltip" data-placement="bottom" title="Inactive Profile">
										  <i class="ace-icon fa fa-ban bigger-120"></i>
										</button>
									</a> 	
									</div>
                                </td>
							</tr>
							<?php
						         } 
						       }
							
							?>
						</tbody>
					</table>
         </td></tr>
	     </table>
		</div>
	</div><!-- /.row -->
</div><!-- /.page-content -->
<div id="paginApp">
		    <?php 
		    if($pages !=0){
		    	print "Page ";
		    ?>
		    <select name="page" id="page"  onchange="doPage('<?=$limit?>',document.getElementById('page').value)">
		        <?php for($i=1;$i<=$pages;$i++){?>
		        <option value="<?php print $i;?>" <?php if($page == $i){ ?>selected="selected"<?php } ?>><?php print $i?></option>
		        <?php } ?>
		    </select>
		    <?php 
		    }
		    ?>
</div>
</div>
<script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>

<script>

 var doPage = function(limit,page){
	  var offset=0;
	  offset=limit*(page-1) ;
	  
	  var url = "<?php print base_url();?>APIErrors/APIErrorsList/";
	 
		  
		  $("#notification-area-np").html('<i class="fa fa-refresh fa-spin"></i>');
		  
		  $("#dvcontent").load(url, function(res, sta, xhr){
		  
		  if(sta == "success"){
			  $("#notification-area-np").html('');
	      }
		  if(sta == "error"){ }
	 });
	 
	}	

	
	 function deleteMe(id,page){
		var del=':'+id;
		
		var offset=25*(page-1) ;
		
		var pg_url = "<?php print base_url();?>APIErrors/APIErrorsList/";
		 
	  	  if (confirm('Are you sure you want to delete this record?')) {
				$("#notification-area-np").html('<i class="fa fa-refresh fa-spin"></i>');
			    $.ajax({
			        
			    	url:"<?php print base_url();?>APIErrors/delete/"+del,
			        data:'',
			        processData: false,
			        contentType: false,
			        success: function(response){
			        	$("#notification-area-np").html('<div class="alert alert-warning alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button>Record successfully deleted!</div');
						setTimeout(function(){loadPage(pg_url); }, 2000);
			        	
			        },
		        	error: function(response){
			        	$("#notification-area-np").html('error');
		        	
			        }
			    });
			}else{
				$("#notification-area-np").html('');
			}
		}

	
	
	function searchRecords(val){
		  var limit=25;
		  var offset=0;
		  
		  var url = "<?php print base_url();?>APIErrors/APIErrorsList/";
			 
	  	  $("#notification-area-np").html('<i class="fa fa-refresh fa-spin"></i>');
		  
		  $("#dvcontent").load(url, function(res, sta, xhr){
			  
		  document.getElementById('nav-search-input').value=val;

			  
  		  if(sta == "success"){
  			  $("#notification-area-np").html('');
            }
  		  if(sta == "error"){ }
		 });
		 
		}	

    function loadPage(url){

        
    	$("#notification-area-np").html('<i class="fa fa-refresh fa-spin"></i>');
    	$("#dvcontent").load(url, function(res, sta, xhr){

    		  if(sta == "success"){
    			  $("#notification-area-np").html('');
              }
    		  if(sta == "error"){ }
  		 });
    }
	
</script>