<?php
		/**
		 * Auto Generated CI View
		 *
		 *
		 * This view file generates the add / edit form in HTML format using the forms object
		 *
		 * @package		 uaacs\views\login_form 
		 * @version      2.0
	 	 * @since	     2.0
		 * @copyright	 2020, BizyCorp Internal Systems Development
		 * @license		 private, All rights reserved
		 * @author		 CIGen (Automated CI Code Generator)
		 */
		
		if ( ! defined('BASEPATH')) exit('No direct script access allowed');

		/**
		 * This view file generates the add / edit form in HTML format using the forms object
		 *
		 * @package      uaacs\views\activityLog_form 
		 * @version      2.0
	 	 * @since	     2.0
		 * @copyright    2020, BizyCorp Internal Systems Development
		 * @license      private, All rights reserved
		 * @author       CIGen (Automated CI Code Generator)
		 * @uses
		 * @see
		 * @created    	 Aug 14, 2020
		 * @modified   	 Aug 18, 2020 by Maleeha Mafas
		 * @modification
		 */

?>


<!DOCTYPE html>
<html lang="en">
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<meta charset="utf-8" />
		<link rel="icon" type="image/png" href="assets/images/bizycoprp_logo.png" />
		<title>UAACS Login</title>
		<meta name="robots" content="nofollow, noindex, noarchive" />
		<meta name="description" content="User login page" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />

		<!-- google fonts -->
		<link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Roboto'>
		<link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Annie Use Your Telescope'>
	
		<!-- Font awesome css link -->
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
		
		<!-- bootstrap css -->
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
		
		<!-- ace styles -->
		<link rel="stylesheet" href="assets/css/ace.min.css" />
		<link rel="stylesheet" href="assets/css/ace-rtl.min.css" />
	</head>
	<style>
		select{
		  width: 100%;
		  height: 34px;
		}
	</style>
	<body class="login-layout">
		<div class="main-container">
			<div class="main-content">
				<div class="row">
					<div class="col-sm-10 col-sm-offset-1">
						<div class="login-container">
							<div class="space-6"></div>

							<div class="position-relative">
								<div id="login-box" class="login-box visible widget-box no-border">
									<div class="widget-body">
										<div class="widget-main">
										    <div class="center">
										    <img alt="" src="assets/images/bizycoprp_logo.png">
											<h3>
												<span class="blue" id="id-text2">Universal Application Access Control System</span>
											</h3>
											
											</div>
											<h4 class="header blue lighter bigger">
												<i class="ace-icon fa fa-coffee green"></i>
												Please Enter Your Information
											</h4>

											<div class="space-6"></div>

											<form name="login_form" method="post" action="<?php echo base_url(); ?>home/authenticate">
												<fieldset>
												  <label class="block clearfix">
														<span class="block input-icon input-icon-right">
															<? 
															  if(isset($_SESSION['APP_ID'])){
																print file_get_contents(base_url()."approles/createDropdown/?filterby=appRoles.appId_equal=".$_SESSION['APP_ID']);
															  }
															?>
														</span>
													</label>
													<label class="block clearfix">
														<span class="block input-icon input-icon-right">
															<input name="user_name" id="user_name" type="text" class="form-control" placeholder="Username" />
															<i class="ace-icon fa fa-user"></i>
														</span>
													</label>

													<label class="block clearfix">
														<span class="block input-icon input-icon-right">
															<input type="password" name="password" id="password" class="form-control" placeholder="Password" />
															<i class="ace-icon fa fa-lock"></i>
														</span>
													</label>

													<div class="space"></div>

													<div class="clearfix">
														<label class="inline">
															<!-- input type="checkbox" class="ace" />
															<span class="lbl"> Remember Me</span-->
														</label>

														<button class="width-35 pull-right btn btn-sm btn-primary">
															<i class="ace-icon fa fa-key"></i>
															<span class="bigger-110">Login</span>
														</button>
													</div>

													<div class="space-4"></div>
												</fieldset>
											

											<div class="social-or-login center">
												<span class="bigger-110">Or Login Using</span>
											</div>

											<div class="space-6"></div>

											<div class="social-login center">
												<!-- a class="btn btn-primary">
													<i class="ace-icon fa fa-facebook"></i>
												</a>

												<a class="btn btn-info">
													<i class="ace-icon fa fa-twitter"></i>
												</a-->

												<a class="btn btn-danger" href="<?php print $loginURL;?>">
													<i class="ace-icon fa fa-google-plus"></i>
												</a>
											</div>
											</form>
										</div><!-- /.widget-main -->

										<div class="toolbar clearfix">
											<div>
												<a href="#" data-target="#forgot-box" class="forgot-password-link">
													<i class="ace-icon fa fa-arrow-right"></i>
													I forgot my password
												</a>
											</div>
											<div style="padding-right: 5px">
											&copy; BizyCorp
											</div>
											<!-- div>
												<a href="#" data-target="#signup-box" class="user-signup-link">
													I want to register
													<i class="ace-icon fa fa-arrow-right"></i>
												</a>
											</div-->
										</div>
									</div><!-- /.widget-body -->
								</div><!-- /.login-box -->

								<div id="forgot-box" class="forgot-box widget-box no-border">
									<div class="widget-body">
										<div class="widget-main">
											<h4 class="header red lighter bigger">
												<i class="ace-icon fa fa-key"></i>
												Retrieve Password
											</h4>

											<div class="space-6"></div>
											<p>
												Enter your email and to receive instructions
											</p>

											<form name="resetpw" action="#">
												<fieldset>
													<label class="block clearfix">
														<span class="block input-icon input-icon-right">
															<input type="email" name="email" id="email" class="form-control" placeholder="Email" />
															<i class="ace-icon fa fa-envelope"></i>
														</span>
													</label>

													<div class="clearfix">
														<button type="button" class="width-35 pull-right btn btn-sm btn-danger" onclick="resetPW()">
															<i class="ace-icon fa fa-lightbulb-o"></i>
															<span class="bigger-110">Send Me!</span>
														</button>
													</div>
												</fieldset>
											</form>
										</div><!-- /.widget-main -->

										<div class="toolbar center">
											<a href="#" data-target="#login-box" class="back-to-login-link">
												Back to login
												<i class="ace-icon fa fa-arrow-right"></i>
											</a>
											
											<div style="padding-right: 5px">
											&copy; BizyCorp
											</div>
										</div>
									</div><!-- /.widget-body -->
								</div><!-- /.forgot-box -->
							</div><!-- /.position-relative -->
						</div>
					</div><!-- /.col -->
				</div><!-- /.row -->
			</div><!-- /.main-content -->
		</div><!-- /.main-container -->
	</body>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
	<script>

	jQuery(function($) {
		 $(document).on('click', '.toolbar a[data-target]', function(e) {
			e.preventDefault();
			var target = $(this).data('target');
			$('.widget-box.visible').removeClass('visible');//hide others
			$(target).addClass('visible');//show target
		 });
		});

	
	document.getElementById('roleId').setAttribute('onChange','{doOnRoleChange();}') ;
	function doOnRoleChange(){
		var url_to_call='<?php echo base_url()?>home/setRole/'+$("#roleId").val();
		$.ajax({
            type:"POST",
            url:url_to_call,
            data: new FormData(document.forms['resetpw']),
            processData: false,
            contentType: false,
            success: function(response){
               // $("#notification-area-np-form").html(response)
            }
        })
	}

	function resetPW(){

		  reset_url='http://www.kindersigns.org/bizyoffice/index.php/users/resetPassword/'+$("#email").val();
			if($("#email").val() ==""){
				alert("Email cannot be empty!");
			}else{
				$.ajax({
		            type:"POST",
		            url:reset_url,
		            data: '',
		            processData: false,
		            contentType: false,
		            success: function(response){
		               // $("#notification-area-np-form").html(response)
		            }
		        })
			}
			
    }
	</script>
</html>
