<?php
/**
 * Manually Developed CI View
 *
 *
 * This is the main workbench file of leave application module.
 *
 * @package			BizyOffice\views\leaveapplications_wb
 * @version			2.7
 * @since			1.4
 * @copyright		2014-2016, BizyCorp Internal Systems Development
 * @license			private, All rights reserved
 * @author			Maleeha Mafas
 */
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Manually Developed CI View
 *
 *
 * This is the main workbench file of leave application module.
 *
 * @package			BizyOffice\views\leaveapplications_wb
 * @version			2.7
 * @since			1.4
 * @copyright		2014-2016, BizyCorp Internal Systems Development
 * @author			Maleeha Mafas
 * @uses
 * @see
 * @created			Mar 26, 2014 by Maleeha Mafas
 * @modified		Mar 03, 2015 by nuwan.wickramarathne,
 * 					Nov 16, 2016 by nuwan.wickramarathne
 * @modification	date rang filter added,
 * 					doc block updates and form function updates
 *
 */
class leaveapplications_wb{
	// Just a dummy clas for phpdoc to catch the doc header.
}

//Log creator
$log_create = new log_object();
$log_create->set_userDetails($_COOKIE['user_name'], $_COOKIE["user_type"]);
$log_create->init();

/**
 * Common js/css file header file
 */
require_once('js-css-loader.php');

$startDate 	= $startDate!=''?$startDate:date("Y-m-d",strtotime(date("Y-01-01")));
$endDate 	= $endDate!=''?$endDate:date("Y-m-d",strtotime(date("Y-12-31")));
?>
<style>
body{ margin:0;}
</style>

<div id="divBench" style="width:99.9%;height:96.8%;"></div>

<script>

//CORS handling 
window.addEventListener("message", receiveMessage, false);
function receiveMessage(event){
	switch (event.data){
  	case "setSize":
	  	wb.getWb().setSizes();
	  	break;
  	}
}
//---------------------------

var appLink = '<?php echo $this->config->item('appLink')?>';
var today;
var tDate = new Date();
var dy=tDate.getFullYear();
var dd=tDate.getDate();
var dm=(tDate.getMonth())+1;
var loadForm_name='';

if(dd < 10){ dd='0'+dd; }
if(dm < 10){ dm='0'+dm; }
today =dy+"-"+dm+"-"+dd;

wb = new workbenchObj();
wb.gridVarName = 'dataGrid';
wb.activeController = '<?=$controller;?>';
wb.controllerStatus = '<?=$status;?>';
wb.staff_in_type = 2;
wb.staff_authori = 2;
wb.staff_in_id = '<?=$_COOKIE["user_id"];?>';
wb.url = appLink+'index.php/<?=$controller;?>/index/false/20/0/leaveapplications_view/XML/0/0/0/appGrid/';
wb.gridreloadurl = appLink+'index.php/<?=$controller;?>/index/false/20/0/data_feed_template/XML/0/0/0/appGrid/';
wb.headerText = 'Human Resource Management';
wb.workBench = document.getElementById("divBench");

var myform;
wb.form = myform;
wb.formVar = 'myform';

//can pass properties to manuputate toolbar objects
wb.toolBarComponent = 'grid';
wb.toolBarIconpath = '<?php echo base_url('public/img/common/imgs/'),'/';?>';
wb.toolBarDefaultitems = true;      //add defult items
wb.toolBarDisabled = ['add','deactivate'];
wb.toolBarNotSet = ['edit','delete'];
wb.toolBarVar = 'gridtoolbar';
wb.formBarComponent = 'form';
wb.formBarIconpath = '<?php echo base_url('public/img/common/imgs/'),'/';?>';
wb.formBarDefaultitems = true;

wb.formUrl = appLink+'index.php/<?=$controller;?>/loadForm/';
wb.formDataUrl = appLink+'index.php/<?=$controller;?>/save/';
wb.formDelUrl = appLink+'index.php/<?=$controller;?>/delete/';

var status_deactivate = 'Cancelled';
var status_activate = 'Pending';
var status_reject = 'Rejected';
var status_approve = 'Approved';

wb.formDataDeactivateUrl = appLink+'index.php/<?=$controller;?>/save/edit/?status='+status_deactivate+'&';
wb.formDataActivateUrl = appLink+'index.php<?=$controller;?>/save/edit/?status='+status_activate+'&';

wb.formDataLeaveAppActivateUrl = appLink+'index.php/<?=$controller;?>/save/edit?status='+status_activate+'&reason=&reasonforappcancellation=&';
wb.formDataApproveUrl = appLink+'index.php/<?=$controller;?>/save/edit?status='+status_approve+'&';

wb.leaveMailUrl = appLink+'index.php/<?=$controller;?>/sendMail/';
wb.formUploadUrl = appLink+'index.php/<?=$controller;?>/uploadFile/';

wb.formWidth = 550;
wb.gridLayoutWidth = 600;
wb.formBarItems = [{id:'helptip',type:'button',img:'help_on.gif',imgdis:'help.gif',text:'Page Help'}];

/*======== Begin callback function list==========*/

var doResetForm = function (){
	document.forms[0].reset();
};

var doLeaveAvailabilityForm = function (){
	var edit="leaveAvail_"+<?=$_COOKIE["user_id"]?>;  //Non reg expression replaces only one instance.

	var formVar="";
	formBar.removeItem('del');
	formBar.removeItem('save');
	formBar.removeItem('save_medical');
	formBar.removeItem('save_cancell');
	formBar.removeItem('save_assign');
	formBar.removeItem('save_reject');

	formBar.removeItem('reset');
	formBar.addSpacer("reset");
	formBar.showItem('helptip');
	formBar.enableItem('helptip');

	formVar  = wb.formUrl+edit+'/leave_availability_view';

	formLayout.attachURL(formVar,true);
	wb.workBench.progressOff();

	return true;
}

var doStaffLeaveAvailabilityForm = function (){
	var search = wb.getSearch();
	var row_id = search.grid.getSelectedRowId();
	var myEdit = search.grid.cells(row_id,2).getValue();
	var edit=myEdit.replace(/,/g,"~");  //Non reg expression replaces only one instance.
	if (debug) console.log('edit  :-',edit);

	var edit="staffleaveAvail_"+edit;  //Non reg expression replaces only one instance.

	var formVar="";
	formBar.removeItem('del');
	formBar.removeItem('save');
	formBar.removeItem('save_medical');
	formBar.removeItem('save_cancell');
	formBar.removeItem('save_assign');
	formBar.removeItem('save_reject');
	
	formBar.removeItem('reset');
	formBar.addSpacer("reset");
	formBar.showItem('helptip');
	formBar.enableItem('helptip');

	formVar  = wb.formUrl+edit+'/leave_availability_view';

	formLayout.attachURL(formVar,true);
	wb.workBench.progressOff();

	return true;
}

var doHRMAddForm = function (){
	if (debug) console.log('wb.formUrl  :-',wb.formUrl);

	var formVar="";
	formBar.removeItem('del');
	formBar.removeItem('save');
	formBar.removeItem('save_medical');
	formBar.removeItem('save_cancell');
	formBar.removeItem('save_assign');
	formBar.removeItem('save_reject');

	formBar.showItem('helptip');
	formBar.enableItem('helptip');

	if(formBar.getPosition('save')==null){
		formBar.addButton('save',0,'Save','save.gif','save_dis.gif');
	}
	if(formBar.getPosition('reset') ==null){
		formBar.addButton('reset',1,'Reset','reset.png','reset_dis.png');
	}
	formBar.addSpacer("reset");

	formVar  = wb.formUrl+'add/apply_leave_form';
	formLayout.attachURL(formVar,true);
	wb.workBench.progressOff();

	return true;
}

var doHRMSaveForm = function (){
	if(inputValidate() == true){
		var leaveAppParams= "user_id="+document.getElementById('staff_id').value+"&leavecategory="+document.getElementById('lcid').value+"&leavetype="+document.getElementById('leavetype').value+"&datefrom="+document.getElementById('datefrom').value+"&dateto="+document.getElementById('dateto').value+"&status=Pending&purpose="+encodeURIComponent(document.getElementById('purpose').value);
		
		if(document.getElementById('leavetype').value =="full"){
			leaveAppParams = leaveAppParams+"&noofdays="+document.getElementById('numdays').value ;
		}else{
			if(document.getElementById('leavetype').value =="half"){
				leaveAppParams = leaveAppParams+"&noofdays=0.5";
			}
			else if(document.getElementById('leavetype').value =="short"){
				leaveAppParams = leaveAppParams+"&noofdays=0.25";
			}
			leaveAppParams = leaveAppParams+"&timedu="+document.getElementById('numdays').value
		}
		
		if(document.getElementById('mode').value !="add"){
			leaveAppParams = "app_id="+document.getElementById('app_id').value+"&"+leaveAppParams;
		}
		if (debug) console.log('doSaveForm.formUrl  :-',wb.formUrl+document.getElementById('mode').value+leaveAppParams);
		
		var leaveAppLoader = dhtmlxAjax.postSync(wb.formDataUrl+document.getElementById('mode').value,leaveAppParams);
		if (debug) console.log('leaveAppLoader.xmlDoc.responseText.trim()  :-',leaveAppLoader.xmlDoc.responseText);
		
		if(leaveAppLoader.xmlDoc.responseText.trim() >=1) {
			if(document.getElementById('mode').value == "add"){
				var leaveAppMailLoader = dhtmlxAjax.postSync(wb.leaveMailUrl+'apply/',leaveAppParams);
				leaveAppMsg = '<span style="color:#0C0">Leave application sent successfully!.</span>';
			}
			else if(document.getElementById('mode').value == "edit"){
				leaveAppMsg = '<span style="color:#0C0">Leave application updated successfully!.</span>';
			}
			document.getElementById('notemsg').innerHTML=  leaveAppMsg;
			setTimeout(doHRMGridUpdate,5000);
		}
		else{
			leaveAppMsg = leaveAppLoader.xmlDoc.responseText.trim();
			document.getElementById('notemsg').innerHTML=  leaveAppMsg;
		}
	}
}

var doHRMGridUpdate = function (){
	console.log('grid reload dataGrid.xmlLoader.filePath:-',dataGrid.xmlLoader.filePath);
	formLayout.collapse();
	wb.grid.clearAndLoad(dataGrid.xmlLoader.filePath);
	
	if(document.getElementById('info') !=null){
		document.getElementById('info').style.display='none';
	}
	return true;
}

var doCancellLeaveForm = function (){
	var search = wb.getSearch();
	var row_id = search.grid.getSelectedRowId();
	var myEdit = row_id;
	var edit="cancel_"+myEdit.replace(/,/g,"~");  //Non reg expression replaces only one instance.
	
	//if (debug) console.log('edit  :-',edit);
	var formVar="";
	formBar.removeItem('del');
	formBar.removeItem('save');
	formBar.removeItem('save_medical');
	formBar.removeItem('save_cancell');
	formBar.removeItem('save_assign');
	formBar.removeItem('save_reject');
	formBar.showItem('helptip');
	formBar.enableItem('helptip');
	
	if(formBar.getPosition('save_cancell')==null){
		formBar.addButton('save_cancell',0,'Cancel','save.gif','save_dis.gif');
	}
	if(formBar.getPosition('reset') ==null){
		formBar.addButton('reset',1,'Reset','reset.png','reset_dis.png');
	}
	
	formBar.addSpacer("reset");
	formVar  = wb.formUrl+edit+'/reject_cancell_form';
	formLayout.attachURL(formVar,true);
	wb.workBench.progressOff();
	
	return true;
}

var doRejectLeaveForm = function (){
	var search = wb.getSearch();
	var row_id = search.grid.getSelectedRowId();
	var myEdit = row_id;
	var edit = "reject_"+myEdit.replace(/,/g,"~");  //Non reg expression replaces only one instance.

	var appid = "appid="+row_id;
	if (debug) console.log('edit  :-',edit);

	var formVar = "";
	formBar.removeItem('del');
	formBar.removeItem('save');
	formBar.removeItem('save_medical');
	formBar.removeItem('save_cancell');
	formBar.removeItem('save_assign');
	formBar.removeItem('save_reject');
	formBar.showItem('helptip');
	formBar.enableItem('helptip');

	if(formBar.getPosition('save_reject')==null){
		formBar.addButton('save_reject',0,'Reject','save.gif','save_dis.gif');
	}
	if(formBar.getPosition('reset') ==null){
		formBar.addButton('reset',1,'Reset','reset.png','reset_dis.png');
	}
	formBar.addSpacer("reset");
	
	formVar  = wb.formUrl+edit+'/reject_cancell_form';
	formLayout.attachURL(formVar,true);
	wb.workBench.progressOff();

	return true;
}

var doRejectCancellLeave = function (){
	if(submitForm_ajax(0)==true){
		var leaveAppParams = "appid="+document.getElementById('appid').value;

		if(document.getElementById('status').value == 'cancel'){
			leaveAppParams = leaveAppParams+'&status=Cancelled&reasonforappcancellation='+encodeURIComponent(document.getElementById('reason').value);
			var stat = 'Cancelled';
		}
		else if(document.getElementById('status').value == 'reject'){
			leaveAppParams = leaveAppParams+'&status=Rejected&reason='+encodeURIComponent(document.getElementById('reason').value);
			var stat = 'Rejected';
		}
		if (debug) console.log('doSaveForm.formUrl for cancel / reject  :-',wb.formUrl+'edit/'+leaveAppParams);
		
		var leaveAppLoader = dhtmlxAjax.postSync(wb.formDataUrl+'edit/',leaveAppParams);
		if (debug) console.log('leaveAppLoader.xmlDoc.responseText.trim()  :-',leaveAppLoader.xmlDoc.responseText);
		
		if(leaveAppLoader.xmlDoc.responseText.trim()==1) {
			var leaveAppMailLoader = dhtmlxAjax.postSync(wb.leaveMailUrl+stat.toLowerCase()+'/',"appid="+document.getElementById('appid').value);
			leaveAppMsg = 'Leave Application '+stat+' Successfully.';
			document.getElementById('notemsg').innerHTML = leaveAppMsg;
			setTimeout(doHRMGridUpdate,5000);
		}
		else{
			leaveAppMsg = leaveAppLoader.xmlDoc.responseText.trim();
			document.getElementById('notemsg').innerHTML = leaveAppMsg;
		}
	}
}

var doLeaveApprove = function (){
	var row_id = search.grid.getSelectedRowId();
	var appid = "appid="+row_id;
	var b = (confirm('Are you sure you want to approve this application?'));

	if(b){
		var loader = dhtmlxAjax.getSync(wb.formDataApproveUrl+appid);
		if (debug) console.log('wb.formDataApproveUrl :-',wb.formDataApproveUrl+appid);
		if (debug) console.log('call on approval :-',loader.xmlDoc.responseText);

		document.getElementById('info').style.display='block';
		if(loader.xmlDoc.responseText==1) {
			var leaveAppMailLoader = dhtmlxAjax.postSync(wb.leaveMailUrl+'approve/',appid);
			document.getElementById('info').innerHTML= '<span style="font:Arial, Helvetica, sans-serif; font-style:italic; color:#0C0">Leave Application Approved Successfully.</span>';
			setTimeout(doHRMGridUpdate,5000);
		}
		else{
			document.getElementById('info').innerHTML= loader.xmlDoc.responseText;
		}
	}
}

var doLeaveMedicalForm = function (){
	var search = wb.getSearch();
	var row_id = search.grid.getSelectedRowId();
	var myEdit = row_id;
	var edit="medical_"+myEdit.replace(/,/g,"~");  //Non reg expression replaces only one instance.

	var appid = "appid="+row_id;
	if (debug) console.log('edit  :-',edit);

	var formVar = "";
	formBar.removeItem('del');
	formBar.removeItem('save');
	formBar.removeItem('save_assign');
	formBar.removeItem('save_reject');
	formBar.removeItem('save_cancell');
	formBar.showItem('helptip');
	formBar.enableItem('helptip');

	if(formBar.getPosition('save_medical')==null){
		formBar.addButton('save_medical',0,'Save','save.gif','save_dis.gif');
	}
	if(formBar.getPosition('reset')==null){
		formBar.addButton('reset',1,'Reset','reset.png','reset_dis.png');
	}
	formBar.addSpacer("reset");
	formVar = wb.formUrl+edit+'/medical_upload_form';
	formLayout.attachURL(formVar,true);
	wb.workBench.progressOff();

	return true;
}

var doMedicalDownloadForm = function (){
	var search = wb.getSearch();
	var row_id = search.grid.getSelectedRowId();
	var myEdit = row_id;
	var edit = "medicalDwn_"+myEdit.replace(/,/g,"~");  //Non reg expression replaces only one instance.

	var appid = "appid="+row_id;
	if (debug) console.log('edit  :-',edit);

	var formVar = "";
	formBar.removeItem('del');
	formBar.removeItem('save');
	formBar.removeItem('save_medical');
	formBar.removeItem('save_cancell');
	formBar.removeItem('save_assign');
	formBar.removeItem('save_reject');
	formBar.removeItem('reset');
	formBar.addSpacer("reset");
	formBar.showItem('helptip');
	formBar.enableItem('helptip');

	formVar  = wb.formUrl+edit+'/medical_download_form';
	formLayout.attachURL(formVar,true);
	wb.workBench.progressOff();

	return true;
}

var doSaveLeaveMedical = function (){
	if(submitForm_ajax(0) == true){
		var ext_array = document.getElementById('medical_file').files[0].name.split(".");
		var file_name = document.getElementById('appid').value+'.'+ext_array[ext_array.length - 1];
		var leaveAppParams= "appid="+document.getElementById('appid').value+"&medical_files="+file_name;
		var msg = "";
		
		msg = doajax();
		if (debug) console.log('msg  :-',msg);
		if (debug) console.log('doSaveForm.formUrl for medical  :-',wb.formUrl+'edit/'+leaveAppParams);
		
		if(msg == "1") {
			var leaveAppLoader = dhtmlxAjax.postSync(wb.formDataUrl+'edit/',leaveAppParams); // updatefile name
			if(leaveAppLoader.xmlDoc.responseText.trim() ==1){
				leaveAppMsg = '<span style="color:#0C0">Medical File Uploaded Successfully.</span>';
				document.getElementById('notemsg').innerHTML = leaveAppMsg;
				setTimeout(doHRMGridUpdate,10000);
			}
			else{
				leaveAppMsg = leaveAppLoader.xmlDoc.responseText.trim();
				document.getElementById('notemsg').innerHTML = leaveAppMsg;
			}
		}
		else{ document.getElementById('notemsg').innerHTML = msg; }
	}
}

/*======== End callback function list===========*/

wb.setGridAddCallback(doHRMAddForm);
//wb.setGridEditCallback(doHRMEditForm);
wb.setFormSaveCallback(doHRMSaveForm);
wb.setFormResetCallback(doResetForm);

//search is active in toolbar
wb.searchactive = 'enable';
var mySearchColumns = [
	{type : "filler", 	name: 'fil1', id: '', placeholder: '',size: '',index: 1 },
	{type : "text", 	name: 'staff/full_name', id: 'ful', placeholder: 'Staff Name!',size: '11',index: 2 },
	{type : "filler", 	name: 'fil2', id: '', placeholder: '',size: '',index: 3 },
	{type : "text", 	name: 'leave_category/title', id: 'tit', placeholder: 'Leave Category!',size: '10',index: 4 },
	{type : "filler", 	name: 'fil3', id: '', placeholder: '',size: '',index: 5 },
	{type : "filler", 	name: 'fil4', id: '', placeholder: '',size: '',index: 6 },
	{type : "filler", 	name: 'fil5', id: '', placeholder: '',size: '',index: 7 },
	{type : "text",		name: 'leaveapplication/datefrom', id: 'dat_fro', placeholder: 'Date!',size: '10',index: 8 },
	{type : "text", 	name: 'leaveapplication/dateto', id: 'dat_to', placeholder: 'Date!',size: '10',index: 9 },
	{type : "filler", 	name: 'fil6', id: '', placeholder: '',size: '',index: 10 },
	{type : "text", 	name: 'leaveapplication/status', id: 'lea_sta', placeholder: 'Status!',size: '6',index: 11},
	
	{type : "filler", 	name: 'fil7', id: '', placeholder: '',size: '',index: 12 },
	{type : "filler", 	name: 'fil8', id: '', placeholder: '',size: '',index: 13 },
	{type : "filler", 	name: 'fil9', id: '', placeholder: '',size: '',index: 14 },
	{type : "filler", 	name: 'fil10',id: '', placeholder: '',size: '',index: 15 },
	{type : "filler", 	name: 'fil11',id: '', placeholder: '',size: '',index: 16 },
	{type : "filler", 	name: 'fil12',id: '', placeholder: '',size: '',index: 17 },
];

wb.searchColumns = mySearchColumns;
var gridreloadurl_tem = wb.gridreloadurl;
var url_tem = wb.url;

function doStartDate() {
	if(search.toggleState) search.toggleSearch();
	calendar1 = document.getElementById('startDate').value;
	calendar2 = document.getElementById('endDate').value;
	qvar = calendar1+'/'+calendar2;

	wb.gridreloadurl = gridreloadurl_tem+qvar;
	wb.url = url_tem+qvar;

	console.log('wb.gridreloadurl :-',wb.gridreloadurl);
	console.log('wb.url :-',wb.url);
	
	dataGrid.clearAndLoad(wb.gridreloadurl);
};//end of doFormView

wb.init();
//if (debug) console.log('wb  :-',wb);
var myForm = wb.getFormToolbar();

formBar = myForm.toolbar;
formLayout = wb.getFormLayout();
gridLayout = wb.getGridLayout();

//attach events for new buttons
wb.toolBarVar.attachEvent('onClick', function(buttonid){
	if(buttonid=='approve'){ doLeaveApprove(); }
	if(buttonid=='reject'){ doRejectLeaveForm(); }
	if(buttonid=='activate'){ doHRMActivate(); }
	if(buttonid=='deactivate') { doCancellLeaveForm(); }
	if(buttonid=='medical'){ doLeaveMedicalForm(); }
	if(buttonid=='medical_download'){ doMedicalDownloadForm(); }
	if(buttonid=='leave_availability'){ doLeaveAvailabilityForm(); }
	if(buttonid=='staff_leave_availability'){ doStaffLeaveAvailabilityForm(); }
});

formBar.attachEvent('onClick', function(buttonid){
	if(buttonid=='save_reject') { doRejectCancellLeave() }
	if(buttonid=='save_cancell') { doRejectCancellLeave() }
	if(buttonid=='save_medical') { doSaveLeaveMedical() }
});

wb.toolBarVar.addInput('startDate', 7, '<?php echo $startDate;?>', 60);
wb.toolBarVar.addText('endDateText',8 , 'To');
wb.toolBarVar.addInput('endDate',9, '<?php echo $endDate;?>',60);
wb.toolBarVar.addButton('generate',10,'Generate','generate.png','generate_dis.png');
wb.toolBarVar.setItemToolTip('generate','Generate Report');

wb.toolBarVar.cont.getElementsByTagName("input")[0].setAttribute("id","startDate");
wb.toolBarVar.cont.getElementsByTagName("input")[0].setAttribute("readonly","readonly");
wb.toolBarVar.cont.getElementsByTagName("input")[1].setAttribute("id","endDate");
wb.toolBarVar.cont.getElementsByTagName("input")[1].setAttribute("readonly","readonly");

myCalendar1 = new dhtmlXCalendarObject('startDate');
myCalendar2 = new dhtmlXCalendarObject('endDate');
myCalendar1.hideTime();myCalendar2.hideTime();

var dateForCal	= new Date();
var curruntDate = dateForCal.getFullYear()+'-'+(dateForCal.getMonth()+1)+'-'+dateForCal.getDate();
var lastdate	= (dateForCal.getFullYear()-1)+'-12-31';

myCalendar1.setSensitiveRange(lastdate,document.getElementById('endDate').value);
myCalendar2.setSensitiveRange(document.getElementById('startDate').value,null);

downloadExcl = wb.toolBarVar.attachEvent('onClick', function(buttonid){
	if(buttonid=='search'){
		if(search.toggleState==false){
			var d = new Date();
			var sd_tem = new Date();
			sd_tem.setMonth(d.getMonth()-1);
			sd = sd_tem.getFullYear()+'-'+pad(sd_tem.getMonth()+1, 2)+'-01';//+pad(sd_tem.getDate(), 2);
			ed = (d.getFullYear())+'-'+pad(d.getMonth()+1, 2)+'-'+pad(d.getDate(), 2);
			
			document.getElementById('startDate').value = '<?php echo $startDate;?>';
			document.getElementById('endDate').value = '<?=$endDate?>';
			
			myCalendar1.setSensitiveRange(null,document.getElementById('endDate').value);
			myCalendar2.setSensitiveRange(document.getElementById('startDate').value,null);
			
			doStartDate();
			console.log('wb.gridreloadurl :-',wb.gridreloadurl);
			console.log('wb.url :-',wb.url);
		}
	}
});

function pad(n, width, z) {
	z = z || '0';
	n = n + '';
	return n.length >= width ? n : new Array(width - n.length + 1).join(z) + n;
}
var myEvent = myCalendar1.attachEvent("onClick", function (){
    myCalendar2.setSensitiveRange(myCalendar1.getDate(),null);
});
var myEvent = myCalendar2.attachEvent("onClick", function (){
    myCalendar1.setSensitiveRange(null,myCalendar2.getDate());
});
wb.toolBarVar.attachEvent('onClick', function(buttonid){
	if(buttonid=='generate'){ doStartDate(); }
});

function MoveOption(frm1,num,mode){
	if(num==3 && mode=='to'){
		objSourceElement = document.getElementById('staff_id');
		objTargetElement = document.getElementById('selected_staff_id');
	}
	else if(num==3 && mode=='from'){
		objSourceElement = document.getElementById('selected_staff_id');
		objTargetElement = document.getElementById('staff_id');
	}
	var aryTempSourceOptions = new Array();
	var x = 0;

	//looping through source element to find selected options
	for (var i = 0; i < objSourceElement.length; i++) {
		if (objSourceElement.options[i].selected) {
			//need to move this option to target element
			var intTargetLen = objTargetElement.length++;
			objTargetElement.options[intTargetLen].text = objSourceElement.options[i].text;
			objTargetElement.options[intTargetLen].value = objSourceElement.options[i].value;
			objTargetElement.options[intTargetLen].selected = objSourceElement.options[i].selected;
		}
		else {
			//storing options that stay to recreate select element
			var objTempValues = new Object();
			objTempValues.text = objSourceElement.options[i].text;
			objTempValues.value = objSourceElement.options[i].value;
			aryTempSourceOptions[x] = objTempValues;
			x++;
		}
	}

	//resetting length of source
	objSourceElement.length = aryTempSourceOptions.length;
	//looping through temp array to recreate source select element
	for (var i = 0; i < aryTempSourceOptions.length; i++) {
		objSourceElement.options[i].text = aryTempSourceOptions[i].text;
		objSourceElement.options[i].value = aryTempSourceOptions[i].value;
		objSourceElement.options[i].selected = false;
	}
}

function selectall(frm1){
	objTargetElement2 = document.getElementById('selected_staff_id');
	var len2=objTargetElement2.length;
	for (var i = 1; i < len2; i++) {
		document.frm1.elements['selected_staff_id[]'][i].selected = true;
	}
	return true;
}

function GetMutiSelectVals(mutiSelect){
	var SelBranchVal = "";
	var x = 0;
	for (x=1;x<=mutiSelect.length-1;x++){
		if (mutiSelect.options[x].selected == true){
			SelBranchVal = SelBranchVal + "," + mutiSelect.options[x].value;
		}
	}
	if(SelBranchVal.substr(0,1)==","){
		SelBranchVal = SelBranchVal.substr(1,SelBranchVal.length -1)
	}
	return SelBranchVal;
}

function doajax(){
	var xhr = new XMLHttpRequest();
    xhr.open("POST", document.getElementById("medical_upload_form").action, false);
    xhr.send(new FormData(document.getElementById("medical_upload_form")));

    if(xhr.responseText.trim() == "1"){
    	return xhr.responseText.trim();
    }else{
		return xhr.responseText.trim();
	}
}

function ajaxSuccess(){
	document.getElementById("notemsg").innerHTML = this.responseText;
}
</script>

<!-- FOR HELP TOUR -->
<link rel="stylesheet" href="http://www.bizydads.com/frameworks/zurb-joyride-1d1cb89/joyride-2.0.3.css">
<script type="text/javascript" src="http://www.bizydads.com/frameworks/zurb-joyride-1d1cb89/jquery-1.8.3.js"></script>
<script type="text/javascript" src="http://www.bizydads.com/frameworks/zurb-joyride-1d1cb89/jquery.cookie.js"></script>
<script type="text/javascript" src="http://www.bizydads.com/frameworks/zurb-joyride-1d1cb89/modernizr.mq.js"></script>
<script type="text/javascript" src="http://www.bizydads.com/frameworks/zurb-joyride-1d1cb89/jquery.joyride-2.0.3.js"></script>

<script>
/* Page Help */
wb.toolBarVar.addButton('helpFile',20,'Page Help','help_on.gif','help.gif');//Page Help button

//Add custom 'Page Help' button  event handler
//now attache events for new buttons
var help = wb.toolBarVar.attachEvent('onClick', function(buttonid){
	if(buttonid=='helpFile'){
		var toolBar = document.getElementsByClassName("dhx_toolbar_btn");//getting toolbar items by class names

		//adding ids to toolbar items
		for(x=0; x<toolBar.length;x++){
			var toolBarItmeIdName =  toolBar[x].lastChild.innerHTML;
			if(toolBarItmeIdName.match(/rows per page/g)) toolBar[x].setAttribute("id",'rows_per_page');
			else if(toolBarItmeIdName.match(/<div style="width:100%; text-align:right">Page/g)) toolBar[x].setAttribute("id",'page_no');
			else{
				toolBarItmeIdName = toolBarItmeIdName.replace(/ /g, "_");
				toolBarItmeIdName = toolBarItmeIdName.toLocaleLowerCase();
				toolBar[x].setAttribute("id",toolBarItmeIdName);
				if(toolBarItmeIdName==''){ toolBar[x].setAttribute("id",'gen'+x); }
			}
		}
		
		var cell_tip = document.getElementsByClassName(" ev_dhx_skyblue");//getting gird rows but class name
		cell_tip[0].parentNode.firstChild.nextSibling.setAttribute("id",'gridId_0');//adding id to 1st grid row
		
		var pagingBar = document.getElementsByClassName("dhx_toolbar_text");//getting toolbar items by class names
		for(x=0; x<pagingBar.length;x++){
			var paging_IdName = 'paging_'+x;
			pagingBar[x].setAttribute("id",paging_IdName);//adding id to 1st grid row
		}

		$('#joyRideTipContent').joyride({
			postStepCallback : function (index, tip) {
				if(formMsg =='add' && index == 0) for(x=1;x<=17;x++) $(this).joyride('set_li', false, 1);//skipping grid helptips
				if(formMsg =='deactivate' && index == 0) for(x=1;x<=28;x++) $(this).joyride('set_li', false, 1);//skipping grid helptips
				if(formMsg =='reject' && index == 0) for(x=1;x<=33;x++) $(this).joyride('set_li', false, 1);//skipping grid helptips
				if(formMsg =='medical_download' && index == 0) for(x=1;x<=38;x++) $(this).joyride('set_li', false, 1);//skipping grid helptips
				if(formMsg =='leave_availability' && index == 0) for(x=1;x<=40;x++) $(this).joyride('set_li', false, 1);//skipping grid helptips
				if(formMsg =='medical' && index == 0) for(x=1;x<=42;x++) $(this).joyride('set_li', false, 1);//skipping grid helptips
				if(formMsg =='staff_leave_availability' && index == 0) for(x=1;x<=47;x++) $(this).joyride('set_li', false, 1);//skipping grid helptips
			}
		});//load joyride
	}
});

var formMsg;
wb.toolBarVar.attachEvent('onClick', function(buttonid){ formMsg = buttonid; });
var myForm = wb.getFormToolbar();
formBar =myForm.toolbar;
var helptip = formBar.attachEvent('onClick', function(buttonid){
	if(buttonid=='helptip'){
		var toolBar_form = document.getElementsByClassName("dhx_toolbar_btn");//getting toolbar items by class names
		//adding ids to toolbar items
		var xm=false;
		for(x=0; x<toolBar_form.length;x++){
			var toolBarItmeIdName =  toolBar_form[x].lastChild.innerHTML;
			if(xm){
				toolBarItmeIdName = toolBarItmeIdName.replace(/ /g, "_");
				toolBarItmeIdName = toolBarItmeIdName.toLocaleLowerCase();
				toolBar_form[x].setAttribute("id",toolBarItmeIdName);
			}
			else{ toolBar_form[x].setAttribute("id",'empty'); }
			if(toolBarItmeIdName.match(/Search/g)){ xm=true; }
		}
		
		var cell_tip = document.getElementsByClassName(" ev_dhx_skyblue");//getting gird rows but class name
		cell_tip[0].parentNode.firstChild.nextSibling.setAttribute("id",'empty');//adding id to 1st grid row
		var pagingBar = document.getElementsByClassName("dhx_toolbar_text");//getting toolbar items by class names
		for(x=0; x<pagingBar.length;x++){ pagingBar[x].setAttribute("id",'empty');}
		
		$('#joyRideTipContent').joyride({
			postStepCallback : function (index, tip) {
				if(formMsg =='add' && index == 0) for(x=1;x<=17;x++) $(this).joyride('set_li', false, 1);//skipping grid helptips
				if(formMsg =='deactivate' && index == 0) for(x=1;x<=28;x++) $(this).joyride('set_li', false, 1);//skipping grid helptips
				if(formMsg =='reject' && index == 0) for(x=1;x<=33;x++) $(this).joyride('set_li', false, 1);//skipping grid helptips
				if(formMsg =='medical_download' && index == 0) for(x=1;x<=38;x++) $(this).joyride('set_li', false, 1);//skipping grid helptips
				if(formMsg =='leave_availability' && index == 0) for(x=1;x<=40;x++) $(this).joyride('set_li', false, 1);//skipping grid helptips
				
				if(formMsg =='medical' && index == 0) for(x=1;x<=42;x++) $(this).joyride('set_li', false, 1);//skipping grid helptips
				if(formMsg =='staff_leave_availability' && index == 0) for(x=1;x<=47;x++) $(this).joyride('set_li', false, 1);//skipping grid helptips
				
			}
		});//load joyride
	}
});
</script>
<!-- Active work type class Tip Content -->
<ol id="joyRideTipContent" style="display:none;">
	<li data-id="" data-button="Start the tour" data-options="tipLocation:top"><h2>Leave applications management</h2><p>This new interface of leave management eases the managers and administrators work. New modification includes filters and medical certificate uploads for medical leaves.</p></li>
	<li data-id="<?=$_COOKIE["user_type"]==2?'add_not':'add';?>" data-button="Next" data-options="tipLocation:top"><h2>Add</h2><p>Click will open up a add form on the form panel</p></li>
	<li data-id="deactivate" data-button="Next" data-options="tipLocation:top"><h2>Deactivate</h2><p>Gets activated on selection of a leave application record; Click action will open a form on the Form Panel asking for the reason for cancellation. Provide the reason and click on cancel, application will get cancelled with a success message and the status will be updated on the listing. A notification email will be sent to the relevant manager informing the cancellation.</p></li>
	<li data-id="approve" data-button="Next" data-options="tipLocation:top"><h2>Approve</h2><p>Gets activated on selection of a pending leave application record of subordinate staff; Click action will ask for confirmation of the approval, on confirmation the application will get approved with a success message and the status will be updated on the listing. A notification email will be sent to the relevant staff and copied to the HR informing the approval.</p></li>
	<li data-id="reject" data-button="Next" data-options="tipLocation:top"><h2>Reject</h2><p>Gets activated on selection of a pending leave application record of subordinate staff; 'Reject' will be active for 'approved' applications as well for administrator user. Click action will open a form on the Form Panel asking for the reason for rejection. Provide the reason and click on 'Reject' button of the form toolbar. Application gets rejected with a success message and the status will be updated on the listing on Grid Panel. A notification email will be sent to the relevant staff and copied to the HR informing the rejection.</p></li>
	<li data-id="medical" data-button="Next" data-options="tipLocation:top"><h2>Upload Medical</h2><p>This button is available for managers and staff only. Button will get activated on selection of a medical leave application record. Click action will show file upload form on the Form Panel. You can select the file and upload to the system. Medical certificate can be uploaded as image, word document or as a pdf file. You can replace the uploaded file with a new one if you have made a mistake on file selection for the selected medical leave application. Uploaded files will be listed on the same page to be downloaded by manager and staff users.</p></li>
	<li data-id="my_leave" data-button="Next" data-options="tipLocation:top"><h2>My Leave Availability</h2><p>This button is available to staff and managers to check their own leave entitlements, usage and availability. Click action will open a page on Form Panel with the details.  You can close the page using the close button.</p></li>
	<li data-id="staff_leave" data-button="Next" data-options="tipLocation:top"><h2>Staff Leave Availability</h2><p>This button is available to administrators and managers to check the leave entitlements, usage and availability of the employee of the selected application. Button will get activated on selection of a pending leave application record. Click action will show a page on Form Panel with the details.  You can close the page using the close button.</p></li>
	<li data-id="download_medical" data-button="Next" data-options="tipLocation:top"><h2>Download Medical</h2><p>Click to download medical report files.</p></li>
	<li data-id="refresh" data-button="Next" data-options="tipLocation:top"><h2>Refresh</h2><p>Just reloads the grid to the original state.</p></li>
	<li data-id="search" data-button="Next" data-options="tipLocation:top"><h2>Search</h2><p>Click to get search box row.</p></li>
	<li data-id="startDate" data-button="Next" data-options="tipLocation:top"><h2>Start Date</h2><p>Click and select range starting date.</p></li>
	<li data-id="endDate" data-button="Next" data-options="tipLocation:top"><h2>End Date</h2><p>Click and select range ending date.</p></li>
	<li data-id="generate" data-button="Next" data-options="tipLocation:top"><h2>Generate Report</h2><p>Click to generate report with selected date range.</p></li>
	<li data-id="gridId_0" data-button="Next" data-options="tipLocation:top"><h2>Leave applications management Grid</h2><p>Leave applications management grid.</p></li>
	<li data-id="tot_recs" data-button="Next" data-options="tipLocation:top"><h2>Records For Page</h2><p>Shows the number of records displayed in the grid.</p></li>
	<li data-id="selPages" data-button="Next" data-options="tipLocation:top"><h2>Page</h2><p>Click on down arrow, scroll down and click on the page number to navigate to another page.</p></li>
	<li data-id="selLimit" data-button="Close" data-options="tipLocation:top"><h2>Rows Per Page</h2><p>Click on down arrow, scroll down and click on option to change rows shown per page.</p></li>
	
	<!-- Add Form Help Tips 18-->
	<li data-id="" data-button="Form Help Tips" data-options="tipLocation:top"><h2>Add Form</h2><p>Add leave application form.</p></li>
	<li data-id="save" data-button="Next" data-options="tipLocation:top"><h2>Save</h2><p>Click to save leave application.</p></li>
	<li data-id="reset" data-button="Next" data-options="tipLocation:top"><h2>Reset</h2><p>Click to reset form with previous data.</p></li>
	<li data-id="close" data-button="Next" data-options="tipLocation:top"><h2>Close</h2><p>Click to close form panel.</p></li>
	<li data-id="full_name" data-button="Next" data-options="tipLocation:top"><h2>Full Name</h2><p>Full Name.</p></li>	
	<li data-id="lcid" data-button="Next" data-options="tipLocation:top"><h2>Leave Category </h2><p>Click and select leave category.</p></li>	
	<li data-id="leavetype" data-button="Next" data-options="tipLocation:top"><h2>Type of Leave </h2><p>Click and select type of leave .</p></li>	
	<li data-id="datefrom" data-button="Next" data-options="tipLocation:top"><h2>Date From </h2><p>Click and select date from.</p></li>	
	<li data-id="dateto" data-button="Next" data-options="tipLocation:top"><h2>Date To</h2><p>Click and select date to.</p></li>	
	<li data-id="numdays" data-button="Next" data-options="tipLocation:top"><h2>No of Days / Time</h2><p>No of Days / Time.</p></li>	
	<li data-id="purpose" data-button="Close" data-options="tipLocation:top"><h2>Purpose </h2><p>Purpose.</p></li>
	
	<!-- Deactivate form help tips 29-->
	<li data-id="" data-button="Form Help Tips" data-options="tipLocation:top"><h2>Deactivate Form</h2><p>Deactivate leave application.</p></li>
	<li data-id="cancel" data-button="Next" data-options="tipLocation:top"><h2>Cancel</h2><p>Click to cancel leave application.</p></li>
	<li data-id="reset" data-button="Next" data-options="tipLocation:top"><h2>Reset</h2><p>Click to reset form with previous data.</p></li>
	<li data-id="close" data-button="Next" data-options="tipLocation:top"><h2>Close</h2><p>Click to close form panel.</p></li>
	<li data-id="reason" data-button="Close" data-options="tipLocation:top"><h2>Reason</h2><p>Reason for action.</p></li>
	
	<!-- Reject form help tips 34-->
	<li data-id="" data-button="Form Help Tips" data-options="tipLocation:top"><h2>Reject Form</h2><p>Reject leave application.</p></li>
	<li data-id="reject" data-button="Next" data-options="tipLocation:top"><h2>Reject</h2><p>Click to Reject leave application.</p></li>
	<li data-id="reset" data-button="Next" data-options="tipLocation:top"><h2>Reset</h2><p>Click to reset form with previous data.</p></li>
	<li data-id="close" data-button="Next" data-options="tipLocation:top"><h2>Close</h2><p>Click to close form panel.</p></li>
	<li data-id="reason" data-button="Close" data-options="tipLocation:top"><h2>Reason</h2><p>Reason for action.</p></li>
	
	<!-- Medical download form help tip 39-->
	<li data-id="" data-button="Form Help Tips" data-options="tipLocation:top"><h2>Medical File Download Form</h2><p>Medical File download form.</p></li>
	<li data-id="close" data-button="Close" data-options="tipLocation:top"><h2>Close</h2><p>Click to close form panel.</p></li>
	
	<!-- Leave Availability form help tip 41-->
	<li data-id="" data-button="Form Help Tips" data-options="tipLocation:top"><h2>Leave Availability Form</h2><p>Leave availability form.</p></li>
	<li data-id="close" data-button="Close" data-options="tipLocation:top"><h2>Close</h2><p>Click to close form panel.</p></li>
	
	<!-- upload form help tip 43-->
	<li data-id="" data-button="Form Help Tips" data-options="tipLocation:top"><h2>Upload Medical File Form</h2><p>Upload medical file form.</p></li>
	<li data-id="save" data-button="Next" data-options="tipLocation:top"><h2>Save</h2><p>Click to save upload file.</p></li>
	<li data-id="reset" data-button="Next" data-options="tipLocation:top"><h2>Reset</h2><p>Click to reset form with previous data.</p></li>
	<li data-id="close" data-button="Next" data-options="tipLocation:top"><h2>Close</h2><p>Click to close form panel.</p></li>
	<li data-id="medical_file" data-button="Close" data-options="tipLocation:top"><h2>Medical File</h2><p>Click and select file to upload.</p></li>
	
	<!-- Leave Availability form help tip 48-->
	<li data-id="" data-button="Form Help Tips" data-options="tipLocation:top"><h2>Staff Leave Availability</h2><p>Staff Leave Availability View Form.</p></li>
	<li data-id="close" data-button="Close" data-options="tipLocation:top"><h2>Close</h2><p>Click to close form panel.</p></li>
</ol>
<!-- End of Active work type class tip contents -->
