var $table = $("#fresh-table"), $alertBtn = $("#alertBtn"), full_screen = false;
$().ready(function(){
	$table.bootstrapTable({
		toolbar: ".toolbar",
		showRefresh: true,
		search: true,
		showToggle: false,
		showColumns: true,
		pagination: true,
		striped: true,
		pageSize: 13,
		pageList: [10,13,25,50,75,100],
		
		formatShowingRows: function(pageFrom, pageTo, totalRows){ },
		formatRecordsPerPage: function(pageNumber){ return pageNumber + " rows visible"; },
		
		icons:{refresh:"fa fa-refresh", toggle:"fa fa-th-list", columns:"fa fa-columns", detailOpen:"fa fa-plus-circle", detailClose:"fa fa-minus-circle"}
	});
	$(window).resize(function(){ $table.bootstrapTable("resetView"); });
		
	$("#addBtn").click(function(){ doOpenForm(add_formlink) }); 
	$("#refresh").click(function(){ location.reload() });
});


window.operateEvents = {
	'dblclick .like': function(e, value, row, index){
		$("tr").removeClass("select_row");
       	$(this).parent().parent().addClass("select_row");
       	edit_formlink = edit_formlink+"/"+row[gridPk];
       	doOpenForm(edit_formlink);
	}
};


function operateFormatter(value, row, index) {
    return ['<div class="like" href="javascript:void(0)" style="overflow:hidden; min-width:100px; max-width:200px; height:25px;" title="'+value+'" >',value,'</div>',].join('');
}


function doOpenForm(formLink){
	$("#formareaid").html('<img src="http://www.bizydads.com/bizyoffice/assets/img/load_icon.gif" width="75" style="position:absolute; right:45%; top:45%;" >');
	$("#form_viewer").modal("toggle");
    $("#formareaid").load(formLink, function(responseTxt, statusTxt, xhr){
        if(statusTxt == "error"){
        	//$("#form_viewer").modal("toggle");
        	//$("#danger").modal("toggle");
        }
    });
}